function [F] = CreateDoubleGaussComponentOne2DWithAngle(x0,mx,my)

a =  x0(5);
xc = x0(1);
xw = x0(3);
yc = x0(2);
yw = x0(4);
off = x0(6);
dx = x0(10);
dy = x0(11);
angle = x0(12);

%Individual center position:
BECPosX=xc-dx;
BECPosY=yc-dy;
%Same center position:
%BECPosX=xc;
%BECPosY=yc;

y = 1:1:my;
F = zeros(my,mx);

for i = 1:1:mx
    x = i;
    Xrot=(cos(angle)*x+sin(angle)*y);
    Yrot=(-sin(angle)*x+cos(angle)*y);
    F(:,i) = a.*exp(-0.5*(Xrot - BECPosX).^2./(xw^2)-0.5*(Yrot - BECPosY).^2./yw^2)  + off;
end
end