function [NameMeasurementSequence]=GetTitle(inputdate,seriesnumber,cameranumber,nameoverride)

basedirectorylist={'Y:\Vision\','Y:\Backup\','S:\Vision\','S:\Backup\','F:\Vision\','G:\Vision\','D:\Vision\','E:\Vision\'};

if nargin<6
    nameoverride='';
end
if nargin<5
    cameranumber=1;
end
if nargin<4
    xdatasection=5;
end
if nargin<3
    datasection=12;
end

cameraletter=char('A'-1+cameranumber);
notfound=1;

for basedirectoryind=1:length(basedirectorylist)
    directory=[basedirectorylist{basedirectoryind},inputdate];
    try
        if seriesnumber>0
            filename=[directory,'\S',num2str(seriesnumber),'\Data',cameraletter,'.dat'];
            if ~isempty(nameoverride)
                filename=[directory,'\S',num2str(seriesnumber),'\',nameoverride,'.dat'];
            end    
            fid=fopen(filename);data=char(fread(fid).');
            notfound=0;
            break
        else
            filename=[directory,'\Data',cameraletter,'.dat'];
            if ~isempty(nameoverride)
                filename=[directory,'\',nameoverride,'.dat'];
            end
            fid=fopen(filename);data=char(fread(fid).');
            notfound=0;
            break
        end
    end
    notfound=1;
end
if (notfound==1)&&(basedirectoryind==length(basedirectorylist))
    error(['File note found: ',filename]);
end

fclose(fid);

BOL=find(data==13);

NameMeasurementSequence=data(0:BOL(1));
SequenceTitle=data(1:BOL(1));

return
