function fitSSBECbackground(imdata)

SSBECfitparam.dimpleXrange=[419 521];
SSBECfitparam.reservoirXrange1=[310 360];
SSBECfitparam.reservoirXrange2=[560 826];
SSBECfitparam.transportXrange1=[1 249];
SSBECfitparam.transportXrange2=[857 958];

xprofile=sum(imdata,1);
%                 xprofile=sum(imdata,1)/size(imdata,1);
xposdata=(1:length(xprofile))*SSBECfitparam.Xcal;

SSBECfit.transportX=[xposdata(SSBECfitparam.transportXrange1(1):SSBECfitparam.transportXrange1(2)), xposdata(SSBECfitparam.transportXrange2(1):SSBECfitparam.transportXrange2(2))];
SSBECfit.transportXData=[xprofile(SSBECfitparam.transportXrange1(1):SSBECfitparam.transportXrange1(2)), xprofile(SSBECfitparam.transportXrange2(1):SSBECfitparam.transportXrange2(2))];
%                 SSBECfit.reservoirX=[xposdata(SSBECfitparam.reservoirXrange1(1):SSBECfitparam.reservoirXrange1(2)), xposdata(SSBECfitparam.reservoirXrange2(1):SSBECfitparam.reservoirXrange2(2))];
%                 SSBECfit.reservoirXData=[xprofile(SSBECfitparam.reservoirXrange1(1):SSBECfitparam.reservoirXrange1(2)), xprofile(SSBECfitparam.reservoirXrange2(1):SSBECfitparam.reservoirXrange2(2))];
%                 SSBECfit.dimpleX=[xposdata(SSBECfitparam.dimpleXrange(1):SSBECfitparam.dimpleXrange(2))];
%                 SSBECfit.dimpleXData=[xprofile(SSBECfitparam.dimpleXrange(1):SSBECfitparam.dimpleXrange(2))];

SSBECfit.transportYData=sum(imdata(:,SSBECfitparam.transportXrange1),2).'/(SSBECfitparam.transportXrange1(2)-SSBECfitparam.transportXrange1(1)+1);
%                 SSBECfit.dimpleYData=sum(imdata(:,SSBECfitparam.dimpleXrange),2).'/(SSBECfitparam.dimpleXrange(2)-SSBECfitparam.dimpleXrange(1)+1);
%                 SSBECfit.reservoirYData=sum(imdata(:,SSBECfitparam.reservoirXrange2),2).'/(SSBECfitparam.reservoirXrange2(2)-SSBECfitparam.reservoirXrange2(1)+1);
% %                 SSBECfit.transportYData=sum(imdata(:,SSBECfitparam.transportXrange1),2).';
% %                 SSBECfit.dimpleYData=sum(imdata(:,SSBECfitparam.dimpleXrange),2).';
% %                 SSBECfit.reservoirYData=sum(imdata(:,SSBECfitparam.reservoirXrange2),2).';

yposdata=(1:length(SSBECfit.transportYData))*SSBECfitparam.Ycal;

SSBECfit.transportY=yposdata;
%                 SSBECfit.dimpleY=yposdata;
%                 SSBECfit.reservoirY=yposdata;

 % gaussian fit the transport (Y direction)

x0(1)=max(SSBECfit.transportYData)-min(SSBECfit.transportYData);
[~,maxloc]=max(SSBECfit.transportYData);
x0(2)=SSBECfit.transportY(maxloc);
x0(3)=sum(SSBECfit.transportYData-min(SSBECfit.transportYData))/x0(1)/2*(max(SSBECfit.transportYData)-min(SSBECfit.transportYData))/length(SSBECfit.transportYData);
x0(4)=min(SSBECfit.transportYData);
lb=[x0(1)/2,min(SSBECfit.transportY),x0(3)/100,x0(4)-(std(SSBECfit.transportYData))];
ub=[x0(1)*2,max(SSBECfit.transportY),x0(3)*100,x0(4)+(std(SSBECfit.transportYData))];
display('fitting...');
xfittedTransportY=lsqcurvefit(@gaussian,x0,SSBECfit.transportY,SSBECfit.transportYData,lb,ub);
yfitdataTransportY=gaussian(xfittedTransportY,SSBECfit.transportY);
xfitdataTransportY=SSBECfit.transportY;
dofitplot=1;
display(['Transport Y: ',num2str(xfittedTransportY(1)),'*exp(-((x-',num2str(xfittedTransportY(2)),')/',num2str(xfittedTransportY(3)),')^2)+',num2str(xfittedTransportY(4))]);

figure(101);
plot(SSBECfit.transportY,SSBECfit.transportYData,'k.',xfitdataTransportY,yfitdataTransportY,'r');
title('Transport Y fitting');

imdata=imdata-xfittedTransportY(4);

% gaussian fit the transport (X direction)

x0(1)=max(SSBECfit.transportXData)-min(SSBECfit.transportXData);
[~,maxloc]=max(SSBECfit.transportXData);
x0(2)=SSBECfit.transportX(maxloc);
x0(3)=sum(SSBECfit.transportXData-min(SSBECfit.transportXData))/x0(1)/2*(max(SSBECfit.transportXData)-min(SSBECfit.transportXData))/length(SSBECfit.transportXData);
x0(4)=min(SSBECfit.transportXData);
lb=[x0(1)/2,min(SSBECfit.transportX),x0(3)/100,x0(4)-(std(SSBECfit.transportXData))];
ub=[x0(1)*2,max(SSBECfit.transportX),x0(3)*100,x0(4)+(std(SSBECfit.transportXData))];
display('fitting...');
xfittedTransport=lsqcurvefit(@gaussian,x0,SSBECfit.transportX,SSBECfit.transportXData,lb,ub);
yfitdataTransport=gaussian(xfittedTransport,SSBECfit.transportX);
xfitdataTransport=SSBECfit.transportX;
dofitplot=1;
display(['Transport X: ',num2str(xfittedTransport(1)),'*exp(-((x-',num2str(xfittedTransport(2)),')/',num2str(xfittedTransport(3)),')^2)+',num2str(xfittedTransport(4))]);

figure(108);
plot(SSBECfit.transportX,SSBECfit.transportXData,'g.',xfitdataTransport,yfitdataTransport,'g.');
title('X fitting');

% remove 2D transport fit first section

SSBECfit.transport2D=(xfittedTransport(1)*exp(-((xx-xfittedTransport(2))/xfittedTransport(3)).^2)).*...
    (xfittedTransportY(1)*exp(-((yy-xfittedTransportY(2))/xfittedTransportY(3)).^2));

SSBECfit.transport2Dsubsection=SSBECfit.transport2D(:,SSBECfitparam.transportXrange1(1):SSBECfitparam.transportXrange1(2));
SSBECfit.transport2Ddatasubsection=imdata(:,SSBECfitparam.transportXrange1(1):SSBECfitparam.transportXrange1(2));

x0a(1)=1;
x0a(2)=0;

display('fitting...');
x0a=fminsearch(@(x) modefit(x,SSBECfit.transport2Dsubsection,SSBECfit.transport2Ddatasubsection),x0a);

imdata=imdata-x0a(2);
SSBECfit.transport2D=SSBECfit.transport2D*x0a(1);
imdata=imdata-SSBECfit.transport2D;

figure(202);
imagesc(imdata);
colorbar;
colormap jet;

xprofile=sum(imdata,1);

SSBECfit.reservoirX=[xposdata(SSBECfitparam.reservoirXrange1(1):SSBECfitparam.reservoirXrange1(2)), xposdata(SSBECfitparam.reservoirXrange2(1):SSBECfitparam.reservoirXrange2(2))];
SSBECfit.reservoirXData=[xprofile(SSBECfitparam.reservoirXrange1(1):SSBECfitparam.reservoirXrange1(2)), xprofile(SSBECfitparam.reservoirXrange2(1):SSBECfitparam.reservoirXrange2(2))];
SSBECfit.dimpleX=[xposdata(SSBECfitparam.dimpleXrange(1):SSBECfitparam.dimpleXrange(2))];
SSBECfit.dimpleXData=[xprofile(SSBECfitparam.dimpleXrange(1):SSBECfitparam.dimpleXrange(2))];

SSBECfit.dimpleYData=sum(imdata(:,SSBECfitparam.dimpleXrange),2).'/(SSBECfitparam.dimpleXrange(2)-SSBECfitparam.dimpleXrange(1)+1);
SSBECfit.reservoirYData=sum(imdata(:,SSBECfitparam.reservoirXrange2),2).'/(SSBECfitparam.reservoirXrange2(2)-SSBECfitparam.reservoirXrange2(1)+1);

SSBECfit.dimpleY=yposdata;
SSBECfit.reservoirY=yposdata;

% gaussian fit the reservoir (X direction)

SSBECfit.reservoirXDataRes=SSBECfit.reservoirXData; %-gaussian(xfittedTransport,SSBECfit.reservoirX);

figure(102);
plot(SSBECfit.reservoirX,SSBECfit.reservoirXDataRes,'b.');


x0(1)=max(SSBECfit.reservoirXDataRes)-min(SSBECfit.reservoirXDataRes);
[~,maxloc]=max(SSBECfit.reservoirXDataRes);
x0(2)=SSBECfit.reservoirX(maxloc);
x0(3)=(SSBECfit.reservoirX(end)-SSBECfit.reservoirX(1))/4;
%                 x0(3)=sum(SSBECfit.reservoirXDataRes-min(SSBECfit.reservoirXDataRes))/x0(1)/2*(max(SSBECfit.reservoirXDataRes)-min(SSBECfit.reservoirXDataRes))/length(SSBECfit.reservoirXDataRes);
x0(4)=min(SSBECfit.reservoirXDataRes);
lb=[x0(1)/2,min(SSBECfit.reservoirX),x0(3)/10,x0(4)-(std(SSBECfit.reservoirXDataRes))];
ub=[x0(1)*2,max(SSBECfit.reservoirX),x0(3)*10,x0(4)+(std(SSBECfit.reservoirXDataRes))];
display('fitting...');
xfittedReservoir=lsqcurvefit(@gaussian,x0,SSBECfit.reservoirX,SSBECfit.reservoirXDataRes,lb,ub);
yfitdataReservoir=gaussian(xfittedReservoir,SSBECfit.reservoirX);%+gaussian(xfittedTransport,SSBECfit.reservoirX);
xfitdataReservoir=SSBECfit.reservoirX;
dofitplot=1;
display(['Reservoir X: ',num2str(xfittedReservoir(1)),'*exp(-((x-',num2str(xfittedReservoir(2)),')/',num2str(xfittedReservoir(3)),')^2)+',num2str(xfittedReservoir(4))]);

figure(103);
plot(SSBECfit.reservoirX,SSBECfit.reservoirXData,'b.',SSBECfit.dimpleX,SSBECfit.dimpleXData,'r.',xfitdataReservoir,yfitdataReservoir,'b.');
%                plot(SSBECfit.transportX,SSBECfit.transportXData,'g.',SSBECfit.reservoirX,SSBECfit.reservoirXData,'b.',SSBECfit.dimpleX,SSBECfit.dimpleXData,'r.',xfitdataTransport,yfitdataTransport,'g.',xfitdataReservoir,yfitdataReservoir,'b.');
title('X fitting');

%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-((x-',num2str(xfitted(2),'%0.3e'),')/',num2str(xfitted(3),'%0.3e'),')^2)+',num2str(xfitted(4),'%0.3e')];

% gaussian fit the reservoir (Y direction)

x0(1)=max(SSBECfit.reservoirYData)-min(SSBECfit.reservoirYData);
[~,maxloc]=max(SSBECfit.reservoirYData);
x0(2)=SSBECfit.reservoirY(maxloc);
x0(3)=sum(SSBECfit.reservoirYData-min(SSBECfit.reservoirYData))/x0(1)/2*(max(SSBECfit.reservoirYData)-min(SSBECfit.reservoirYData))/length(SSBECfit.reservoirYData);
x0(4)=min(SSBECfit.reservoirYData);
lb=[x0(1)/2,min(SSBECfit.reservoirY),x0(3)/100,x0(4)-(std(SSBECfit.reservoirYData))];
ub=[x0(1)*2,max(SSBECfit.reservoirY),x0(3)*100,x0(4)+(std(SSBECfit.reservoirYData))];
display('fitting...');
xfittedReservoirY=lsqcurvefit(@gaussian,x0,SSBECfit.reservoirY,SSBECfit.reservoirYData,lb,ub);
yfitdataReservoirY=gaussian(xfittedReservoirY,SSBECfit.reservoirY);
xfitdataReservoirY=SSBECfit.reservoirY;
dofitplot=1;
display(['Reservoir Y: ',num2str(xfittedReservoirY(1)),'*exp(-((x-',num2str(xfittedReservoirY(2)),')/',num2str(xfittedReservoirY(3)),')^2)+',num2str(xfittedReservoirY(4))]);

figure(104);
plot(SSBECfit.reservoirY,SSBECfit.reservoirYData,'k.',xfitdataReservoirY,yfitdataReservoirY,'r');
title('Reservoir Y fitting');

% gaussian fit the dimple (Y direction)

x0(1)=max(SSBECfit.dimpleYData)-min(SSBECfit.dimpleYData);
[~,maxloc]=max(SSBECfit.dimpleYData);
x0(2)=SSBECfit.dimpleY(maxloc);
x0(3)=sum(SSBECfit.dimpleYData-min(SSBECfit.dimpleYData))/x0(1)/2*(max(SSBECfit.dimpleYData)-min(SSBECfit.dimpleYData))/length(SSBECfit.dimpleYData);
x0(4)=min(SSBECfit.dimpleYData);
lb=[x0(1)/2,min(SSBECfit.dimpleY),x0(3)/100,x0(4)-(std(SSBECfit.dimpleYData))];
ub=[x0(1)*2,max(SSBECfit.dimpleY),x0(3)*100,x0(4)+(std(SSBECfit.dimpleYData))];
display('fitting...');
xfittedDimpleY=lsqcurvefit(@gaussian,x0,SSBECfit.dimpleY,SSBECfit.dimpleYData,lb,ub);
yfitdataDimpleY=gaussian(xfittedDimpleY,SSBECfit.dimpleY);
xfitdataDimpleY=SSBECfit.reservoirY;
dofitplot=1;
display(['Dimple Y: ',num2str(xfittedDimpleY(1)),'*exp(-((x-',num2str(xfittedDimpleY(2)),')/',num2str(xfittedDimpleY(3)),')^2)+',num2str(xfittedDimpleY(4))]);


figure(105);
plot(SSBECfit.dimpleY,SSBECfit.dimpleYData,'k.',xfitdataDimpleY,yfitdataDimpleY,'r');
title('Dimple Y fitting');


% construct a 2D model for the Crossover+Reservoir+Dimple+BEC and fit
% the free parameters

imdata=imdata;
[Dimpleampl,DimpleXpos]=max(max(imdata,[],1));

x0(1)=Dimpleampl/3; % x0(1)=DimpleN;
x0(2)=xfittedDimpleY(3); % x0(2)=DimpleWy;
x0(3)=Dimpleampl/3; %xfittedReservoirY(1)/2; % x0(3)=ReservoirN;
x0(4)=xfittedReservoirY(3); % x0(4)=ReservoirWy;
x0(5)=xfittedReservoir(3)*2; % x0(5)=ReservoirWx;
x0(6)=Dimpleampl/3; %xfittedReservoirY(1); % x0(6)=CrossoverN;
x0(7)=xfittedReservoirY(3); % x0(7)=CrossoverWy;
x0(8)=xfittedReservoir(3); % x0(8)=CrossoverWx;
x0(9)=SSBECfit.X(DimpleXpos); % x0(13)=Dimplex;
x0(10)=xfittedDimpleY(2); % x0(14)=Dimpley;
x0(11)=xfittedReservoir(2); % x0(15)=Crossoverx;
x0(12)=(xfittedReservoir(2)+x0(9))/2; % x0(16)=Reservoirx;
%                 x0(13)=2e4; % x0(10)=BECN;
%                 x0(14)=Dimpleampl/5; % x0(9)=BECampl;
%                 x0(15)=2*pi*310; %BECWx; % omega_x=2*pi*310; % x0(11)=BECWx;
%                 x0(16)=2*pi*550; %BECWy; % omega_y=2*pi*550; % x0(12)=BECWy;

options=optimset('Display','iter','TolFun',0.1);

display('fitting...');
x0=fminsearch(@(x) estimateSSBECfiterror(x,xx,yy,imdata,aperturex,aperturey),x0,options);

transport2D=SSBECfit.transport2D;


end
