function [xdata,ydata]=plotvisionseries2D(seriesnumber,inputdatetouse,plotparam)

c=2.99792458e8;
h=6.62606896e-34;
lambda=460.862369e-9;
gamma=2*pi*30.2e6;
NSTD=1.5;
dSTD=0.02;

if isempty(plotparam.title)
    plotparam.title=['Plot of Series ',num2str(seriesnumber)];
end

for ind=1:length(seriesnumber)
%     if iscell(inputdatetouse)
%         datetouse=[str2double(['20',inputdatetouse{ind}(1:2)]),str2double(inputdatetouse{ind}(3:4)),str2double(inputdatetouse{ind}(5:6)),1,1,1];
%     else
%         datetouse=[str2double(['20',inputdatetouse(1:2)]),str2double(inputdatetouse(3:4)),str2double(inputdatetouse(5:6)),1,1,1];
%     end
%     inputdate=['Y:\',datestr(datetouse,'YYmmmDD')];
    if iscell(inputdatetouse)
        inputdate=inputdatetouse{ind};
    else
        inputdate=inputdatetouse;
    end
%     directory=['Y:\',inputdatetouse];
    if plotparam.analysis==0 % use vision data
        [xdata{ind},ydata{ind},lastxlabelname,directory,xdataarray{ind},ydataarray{ind}]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.datasection,plotparam.xdatasection,plotparam.cameranumber);
%         if plotparam.displayseriesparameters
%             extractparameters(inputdate,seriesnumber(ind),plotparam.parameterstoprint);
%         end
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
%         if plotparam.interleve~=1
%             xdata{ind}=xdata{ind}(1:plotparam.interleve:end);
%             ydata{ind}=ydata{ind}(1:plotparam.interleve:end);
%         end
%         if plotparam.selectivex
%             goodpoints=find((xdata{ind}<=plotparam.selectivexrange(2))&(xdata{ind}>=plotparam.selectivexrange(1)));
%             if ~isempty(goodpoints)
%                 xdata{ind}=xdata{ind}(goodpoints);
%                 ydata{ind}=ydata{ind}(goodpoints);
%             end
%         end
%         if plotparam.selectivey
%             goodpoints=find((ydata{ind}<=plotparam.selectiveyrange(2))&(ydata{ind}>=plotparam.selectiveyrange(1)));
%             if ~isempty(goodpoints)
%                 xdata{ind}=xdata{ind}(goodpoints);
%                 ydata{ind}=ydata{ind}(goodpoints);
%             end
%         end
%     elseif plotparam.analysis==13 % PSD
%             %Sy: params.datasection=params.dataparameters+6;
%             %Sx: params.datasection=params.dataparameters+5;
%             %NI: params.datasection=params.dataparameters+11;
%             %PSD prop to NI/Sx^2/Sy;
%         [xdata{ind},Sydata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+6,plotparam.xdatasection,plotparam.cameranumber);
%         [xdata{ind},Sxdata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+5,plotparam.xdatasection,plotparam.cameranumber);
%         [xdata{ind},NIdata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+11,plotparam.xdatasection,plotparam.cameranumber);
%         ydata{ind}=NIdata{ind}./Sxdata{ind}.^2./Sydata{ind};
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
    elseif plotparam.analysis==16 % Y PSD
            %Sy: params.datasection=params.dataparameters+6;
            %Sx: params.datasection=params.dataparameters+5;
            %NI: params.datasection=params.dataparameters+11;
            %PSD prop to NI/Sx^2/Sy;
        [xdata{ind},Sydata{ind},lastxlabelname,directory,xdataarray{ind},Sydataarray{ind}]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+6,plotparam.xdatasection,plotparam.cameranumber);
        [xdata{ind},NIydata{ind},lastxlabelname,directory,xdataarray{ind},NIydataarray{ind}]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+11,plotparam.xdatasection,plotparam.cameranumber);
        
        ydata{ind}=NIydata{ind}./abs(Sydata{ind}).^(3/2);
        ydataarray{ind}=NIydataarray{ind}./abs(Sydataarray{ind}).^(3/2);
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
    elseif plotparam.analysis==15 % Y PSD
            %Sy: params.datasection=params.dataparameters+6;
            %Sx: params.datasection=params.dataparameters+5;
            %NI: params.datasection=params.dataparameters+11;
            %PSD prop to NI/Sx^2/Sy;
        [xdata{ind},Sydata{ind},lastxlabelname,directory,xdataarray{ind},Sydataarray{ind}]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+6,plotparam.xdatasection,plotparam.cameranumber);
        [xdata{ind},NIydata{ind},lastxlabelname,directory,xdataarray{ind},NIydataarray{ind}]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+11,plotparam.xdatasection,plotparam.cameranumber);
        
        ydata{ind}=NIydata{ind}./abs(Sydata{ind}).^3;
        ydataarray{ind}=NIydataarray{ind}./abs(Sydataarray{ind}).^3;
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
%     elseif plotparam.analysis==17 % Y PSD
%             %Sy: params.datasection=params.dataparameters+6;
%             %Sx: params.datasection=params.dataparameters+5;
%             %NI: params.datasection=params.dataparameters+11;
%             %PSD prop to NI/Sx^2/Sy;
%         [xdata{ind},Sxdata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+5,plotparam.xdatasection,plotparam.cameranumber);
%         [xdata{ind},Sydata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+6,plotparam.xdatasection,plotparam.cameranumber);
%         [xdata{ind},NIdata{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),plotparam.dataparameters+11,plotparam.xdatasection,plotparam.cameranumber);
%         ydata{ind}=NIdata{ind}./Sydata{ind}.^(2)./Sxdata{ind}.^(2);
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
%     else % do our own analysis
%         [xdata{ind},imagenumbers{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),2,plotparam.xdatasection,plotparam.cameranumber);
%         if plotparam.overridexaxiswithmeasurementnumber
%             xdata{ind}=1:length(xdata{ind});
%         end
%         if (plotparam.analysis==1)||(plotparam.analysis==10)
%             Sxdataparameters=plotparam.dataparameters+5;
%             Sydataparameters=plotparam.dataparameters+6;
%             [~,Sx{ind},~,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),Sxdataparameters,plotparam.xdatasection,plotparam.cameranumber);
%             [~,Sy{ind},~,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),Sydataparameters,plotparam.xdatasection,plotparam.cameranumber);
%         end
% 
%         [~,order]=sort(xdata{ind});
% %         filenamelist=loadvisionseriesfilenames(inputdate,seriesnumber);
%         referenceimagenumber=imagenumbers{ind}(order(plotparam.referenceimage));
%         [reference,newdata]=loadvisionpicture(directory,seriesnumber(ind),referenceimagenumber,plotparam.cameranumber);
%         if plotparam.analysis==14,
%             [reference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber(ind),referenceimagenumber,plotparam.cameranumber);
%             reference=max(-reference,0);
%         end
%         
%         if (plotparam.analysis==1)||(plotparam.analysis==10)
%             [xdata{ind},imagenumbers{ind},lastxlabelname,directory]=loadvisionseriesdata(inputdate,seriesnumber(ind),2,plotparam.xdatasection,plotparam.cameranumber);
%         end
%         backgroundROIdatafilename=[directory,'\S',num2str(seriesnumber(ind)),'\','backgroundROIdata.mat'];
%         if newdata==1
%             if (plotparam.askforbackground==1)||(~exist(backgroundROIdatafilename,'file')) % 0 ask for background ROI data only if no previous data available, 1 ask allways
%             % ask for the regions for background subtraction
%                 warning('images:initSize:adjustingMag','off');
%                 initFig=figure;
%                 display('Waiting for input');
% %                 set(initFig,'Name','Select rectange comprising larger distribution');
%                 set(initFig,'Name','Select rectange containing only signal');
%                 [croppedreference,rectinner] = imcrop(reference/max(max(reference))*256,jet(256));
% %                 set(initFig,'Name','Select rectange comprising smaller distribution');
%                 set(initFig,'Name','Select rectange including background');
%                 [croppedreferenceouter,rectouter] = imcrop(reference/max(max(reference))*256,jet(256));
%                 display('Background region defined');
%                 close(initFig);
%                 warning('images:initSize:adjustingMag','on');
%                 
%                 rectinner=round(rectinner);
%                 rectinner(1)=max(0,min(size(reference,2)-1,rectinner(1)));
%                 rectinner(2)=max(0,min(size(reference,1)-1,rectinner(2)));
%                 rectinner(3)=max(1,min(size(reference,2)-rectinner(1),rectinner(3)));
%                 rectinner(4)=max(1,min(size(reference,1)-rectinner(2),rectinner(4)));
%                 
%                 rectouter=round(rectouter);
%                 rectouter(1)=max(0,min(size(reference,2)-1,rectouter(1)));
%                 rectouter(2)=max(0,min(size(reference,1)-1,rectouter(2)));
%                 rectouter(3)=max(1,min(size(reference,2)-rectouter(1),rectouter(3)));
%                 rectouter(4)=max(1,min(size(reference,1)-rectouter(2),rectouter(4)));
%                 
%                 oldrectinner=rectinner,
%                 rectinner(1)=max(rectinner(1),rectouter(1));
%                 rectinner(2)=max(rectinner(2),rectouter(2));
%                 rectinner(3)=min(oldrectinner(1)+rectinner(3),rectouter(1)+rectouter(3))-rectinner(1);
%                 rectinner(4)=min(oldrectinner(2)+rectinner(4),rectouter(2)+rectouter(4))-rectinner(2);
%                 
%                 save(backgroundROIdatafilename,'rectinner','rectouter');
%             else
%                 load(backgroundROIdatafilename);
%                 croppedreference=reference((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                 croppedreferenceouter=reference((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%             end
%             if plotparam.analysis==14,
%                 croppedraw=raw((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                 croppedrawouter=raw((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%                 rawbackground=(sum(sum(croppedrawouter))-sum(sum(croppedraw)))/(numel(croppedrawouter)-numel(croppedraw));
%                 
%                 croppedprobe=probe((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                 croppedprobeouter=probe((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%                 probebackground=(sum(sum(croppedprobeouter))-sum(sum(croppedprobe)))/(numel(croppedprobeouter)-numel(croppedprobe));
%                 croppedreference=rawbackground/probebackground*croppedprobe-croppedraw;
%             else
%                 referencebackground=(sum(sum(croppedreferenceouter))-sum(sum(croppedreference)))/(numel(croppedreferenceouter)-numel(croppedreference));
%                 croppedreference=croppedreference-referencebackground;
%             end
%             [xgrid,ygrid]=meshgrid((rectinner(1)+1):(rectinner(1)+rectinner(3)),(rectinner(2)+1):(rectinner(2)+rectinner(4)));
%             
%             % analyse the images
%             reevaluate=1;
%             loadeddata=[];
%             if ~plotparam.reevaluatedata
%                 try
%                     load(backgroundROIdatafilename,'loadeddata');
%                     if length(loadeddata{plotparam.analysis})==length(imagenumbers{ind})
%                         reevaluate=0;
%                     end
%                 end
%             end
%             if reevaluate
%                 for picnum=1:length(imagenumbers{ind})
%                     if plotparam.displayimageloadingmessages
%                         display(['Processing: S',num2str(seriesnumber(ind)),'P',num2str(imagenumbers{ind}(picnum)),'       -        ',num2str(picnum),'/',num2str(length(imagenumbers{ind}))]);
%                     end
%                     if plotparam.analysis==14,
%                         [reference,newdata,raw,probe]=loadvisionpicture(directory,seriesnumber(ind),referenceimagenumber,plotparam.cameranumber);
%                         reference=max(-reference,0);
%                     else
%                         [newimage,newdata]=loadvisionpicture(directory,seriesnumber(ind),imagenumbers{ind}(picnum),plotparam.cameranumber);
%                     end
%                     if newdata==1
%                         if plotparam.analysis==14,
%                             croppedraw=raw((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                             croppedrawouter=raw((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%                             rawbackground=(sum(sum(croppedrawouter))-sum(sum(croppedraw)))/(numel(croppedrawouter)-numel(croppedraw));
% 
%                             croppedprobe=probe((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                             croppedprobeouter=probe((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%                             probebackground=(sum(sum(croppedprobeouter))-sum(sum(croppedprobe)))/(numel(croppedprobeouter)-numel(croppedprobe));
%                             croppedimage=rawbackground/probebackground*croppedprobe-croppedraw;
%                         else
%                             croppedimage=newimage((rectinner(2)+1):(rectinner(2)+rectinner(4)),(rectinner(1)+1):(rectinner(1)+rectinner(3)));
%                             croppedimageouter=newimage((rectouter(2)+1):(rectouter(2)+rectouter(4)),(rectouter(1)+1):(rectouter(1)+rectouter(3)));
%                             croppedimagebackground=(sum(sum(croppedimageouter))-sum(sum(croppedimage)))/(numel(croppedimageouter)-numel(croppedimage));
%                             croppedimage=croppedimage-croppedimagebackground;
%                         end
%                         switch plotparam.analysis
%                             case 1 % flux measurement
%                                 counts=sum(sum(croppedimage));
%                                 waistProbe = plotparam.probeparameters.fibreNA*plotparam.probeparameters.fibrecollimatorfocallength*0.82;
%                                 solidAngle = 2*pi*(1-cos((plotparam.probeparameters.lensdiameter/2./plotparam.probeparameters.lensdistance)));
% 
%                                 if length(plotparam.probeparameters.integrationtime)==length(seriesnumber)
%                                     integrationtime=plotparam.probeparameters.integrationtime(ind);
%                                 else
%                                     integrationtime=plotparam.probeparameters.integrationtime;
%                                 end
% 
%                                 ISat = pi*h*c*gamma/(3*lambda^3) ;
%                                 IntensityBeam=2*plotparam.probeparameters.power/(pi*waistProbe^2);
%                                 SatParam = (IntensityBeam/ISat);
%                                 ScatRate = gamma/2*SatParam/(1+SatParam+4*(plotparam.probeparameters.detuning/gamma)^2);
%                                 NatInProbe=counts/plotparam.probeparameters.cameragain/plotparam.probeparameters.cameraQE*(2*pi/ScatRate)/integrationtime*(4*pi/solidAngle);
%                                 ydata{ind}(picnum)=NatInProbe*Sx{ind}(picnum)/Sy{ind}(picnum)*plotparam.probeparameters.velocity/(2*waistProbe);
%                             case 2 % Sx by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 xbar=sum(sum(normcroppedimage.*xgrid));
%                                 ydata{ind}(picnum)=sum(sum(normcroppedimage.*(xgrid-xbar).^2));
%                             case 3 % Sy by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 ybar=sum(sum(normcroppedimage.*ygrid));
%                                 ydata{ind}(picnum)=sum(sum(normcroppedimage.*(ygrid-ybar).^2));
%                             case 4 % residual Ax by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 xbarref=sum(sum(normcroppedreference.*xgrid));
%                                 ydata{ind}(picnum)=sum(sum(((normcroppedimage-normcroppedreference).*(xgrid-xbarref))));
%                             case 5 % residual Ax by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 ybarref=sum(sum(normcroppedreference.*ygrid));
%                                 ydata{ind}(picnum)=sum(sum(((normcroppedimage-normcroppedreference).*(ygrid-ybarref))));
%                             case 6 % positive residual Sx by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 xbarref=sum(sum(normcroppedreference.*xgrid));
%                                 ydata{ind}(picnum)=sum(sum(((normcroppedimage-normcroppedreference).*(xgrid-xbarref).^2)));
%                             case 7 % positive residual Sy by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 ybarref=sum(sum(normcroppedreference.*ygrid));
%                                 ydata{ind}(picnum)=sum(sum(((normcroppedimage-normcroppedreference).*(ygrid-ybarref).^2)));
%                             case 8 % positive residual Sx by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 xbarref=sum(sum(normcroppedreference.*xgrid));
%                                 ydata{ind}(picnum)=sum(sum((max(0,(normcroppedimage-normcroppedreference)).*(xgrid-xbarref).^2)));
%                             case 9 % positive residual Sy by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 normcroppedreference=croppedreference/(sum(sum(croppedreference)));
%                                 ybarref=sum(sum(normcroppedreference.*ygrid));
%                                 ydata{ind}(picnum)=sum(sum((max(0,(normcroppedimage-normcroppedreference)).*(ygrid-ybarref).^2)));
%                             case 10
%                                 waistProbe = plotparam.probeparameters.fibreNA*plotparam.probeparameters.fibrecollimatorfocallength*0.82;
%                                 watoms=Sx{ind}(picnum)/Sy{ind}(picnum)*waistProbe;
%                                 counts=sum(sum(croppedimage));
% 
%                                 ISat=pi*h*c*gamma/(3*lambda^3);
% 
%                                 x=watoms*(-NSTD:dSTD:NSTD);
%                                 z=watoms*(-NSTD:dSTD:NSTD);
%                                 y=waistProbe*(-NSTD:dSTD:NSTD);
% 
%                                 [xgrid,ygrid,zgrid]=meshgrid(x,y,z);
% 
%                                 I=2*plotparam.probeparameters.power/pi/waistProbe^2*exp(-2*(xgrid.^2+ygrid.^2)/waistProbe^2);
%                                 SatParam=I/ISat;
%                                 ScatRate = gamma/2*SatParam./(1+SatParam+4*(plotparam.probeparameters.detuning/gamma)^2);
%                                 AtomsPerAtomPerSecond=((y(2)-y(1))/plotparam.probeparameters.velocity)*2/pi/watoms^2*exp(-2*(xgrid.^2+zgrid.^2)/watoms^2)*(x(2)-x(1))*(z(2)-z(1));
%                                 PhotonsEmittedPerAtomPerSecond=sum(sum(sum(AtomsPerAtomPerSecond.*ScatRate*plotparam.probeparameters.integrationtime)));
%                                 PhotonsReceived=counts/plotparam.probeparameters.cameragain/plotparam.probeparameters.cameraQE;
%                                 solidAngle = 2*pi*(1-cos((plotparam.probeparameters.lensdiameter/2./plotparam.probeparameters.lensdistance)));
% 
%                                 ydata{ind}(picnum)=PhotonsReceived*(4*pi/solidAngle)/PhotonsEmittedPerAtomPerSecond;
%                             case 11 % xbar by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 ydata{ind}(picnum)=sum(sum(normcroppedimage.*xgrid));
%                             case 12 % ybar by moments
%                                 normcroppedimage=croppedimage/(sum(sum(croppedimage)));
%                                 ydata{ind}(picnum)=sum(sum(normcroppedimage.*ygrid));
%                             case 14 % Sx array by moments
%                                 ind=1;
%                                 bocksize=20;
%                                 normcroppedimage=zeros(floor(size(croppedimage,1)/bocksize),size(croppedimage,2));
%                                 options = optimoptions('lsqcurvefit','TolFun',1e-12);
%                                 xdat=1:size(croppedimage,2);
%                                 while (ind*bocksize<size(croppedimage,1))
%                                     ydat=sum(croppedimage((1+(ind-1)*bocksize):ind*bocksize,:),1);
%                                     x0(1)=max(ydat)-min(ydat);
%                                     [~,maxloc]=max(ydat);
%                                     x0(2)=xdat(maxloc);
%                                     x0(3)=sum(ydat-min(ydat))/x0(1)/2*(max(xdat)-min(xdat))/length(xdat);
%                                     x0(4)=median(ydat);
%                                     lb=[x0(1)/2,min(xdat),x0(3)/10,x0(4)-(std(ydat))];
%                                     ub=[x0(1)*2,max(xdat),x0(3)*10,x0(4)+(std(ydat))];
%                                     display('fitting...');
%                                     xfitted(ind,1:4)=lsqcurvefit(@gaussian,x0,xdat,ydat,lb,ub,options);
%                                     yfitdat(ind,:)=gaussian(xfitted(ind,:),xdat);
%                                     
%                                     figure(20);
%                                     plot(xdat,yfitdat(ind,:),'r-',xdat,ydat,'k.');
%                                     
%                                     ind=ind+1;
%                                 end
%                                 
%                                 
%                                 normcroppedimage=croppedimage./(repmat(sum(croppedimage,2),[1,size(croppedimage,2)]));
%                                 xbar=sum(normcroppedimage.*xgrid,2);
%                                 ydata{ind}{picnum}=sum(sum(normcroppedimage.*(xgrid-repmat(xbar,[1,size(xgrid,1)])).^2));
%                         end
%                     else
%                         ydata{ind}(picnum)=NaN;
%                     end
%                 end
%                 loadeddata{plotparam.analysis}=ydata{ind};
%                 save(backgroundROIdatafilename,'rectinner','rectouter','loadeddata');
%             else
%                 ydata{ind}=loadeddata{plotparam.analysis};
%             end
%         else
%             display('Could not load first frame for analysis');
%             xdata{ind}=[];
%             ydata{ind}=[];
%         end
    end
%     goodval=find(~isnan(ydata{ind}));
%     if ~isempty(goodval)
%         xdata{ind}=xdata{ind}(:,goodval);
%         ydata{ind}=ydata{ind}(goodval);
%         [xdata{ind},order]=sort(xdata{ind});
%         ydata{ind}=ydata{ind}(order);
%         if (plotparam.analysis==1)||(plotparam.analysis==10) % if flux measurement display the average and deviation
%             display(['Flux for S',num2str(seriesnumber(ind)),': ',num2str(mean(ydata{ind})/1e6,'%0.6f'),' MAt/s +/- ',num2str(std(ydata{ind})/1e6,'%0.6f'), ' MAt/s']);
%         else
            display(['Mean: S',num2str(seriesnumber(ind)),': ',num2str(mean(ydata{ind})/1e6,'%0.6f'),' M +/- ',num2str(std(ydata{ind})/1e6,'%0.6f'), ' M']);
            display(['Mean: S',num2str(seriesnumber(ind)),': ',num2str(mean(ydata{ind}),'%0.6f'),' +/- ',num2str(std(ydata{ind}),'%0.6f'), ' ']);
%         end
%     else
%         display('No good data');
%         xdata{ind}=[];
%         ydata{ind}=[];
%     end
end
if isempty(plotparam.xlabel)
    plotparam.xlabel=lastxlabelname;
end

% display('Plotting...');

% figure;
% evalstring='plot(';
for ind2=1:2
    if length(plotparam.xoffset2D{ind2})==1
        plotparam.xoffset2D{ind2}=plotparam.xoffset2D{ind2}*ones(size(seriesnumber));
    end
    if length(plotparam.xscale2D{ind2})==1
        plotparam.xscale2D{ind2}=plotparam.xscale2D{ind2}*ones(size(seriesnumber));
    end
end
if length(plotparam.yscale)==1
    plotparam.yscale=plotparam.yscale*ones(size(seriesnumber));
end
if length(plotparam.yoffset)==1
    plotparam.yoffset=plotparam.yoffset*ones(size(seriesnumber));
end

for ind=1:length(seriesnumber)
    for ind2=1:2
        xdata{ind}(ind2,:)=(xdata{ind}(ind2,:)-plotparam.xoffset2D{ind2}(ind));
        xdataarray{ind}{ind2}=(xdataarray{ind}{ind2}-plotparam.xoffset2D{ind2}(ind));
        if plotparam.xscaleinvert2D{ind2}
            xdata{ind}(ind2,:)=1./xdata{ind}(ind2,:);
            xdataarray{ind}{ind2}=1./xdataarray{ind}{ind2};
        end
        if plotparam.xscalesquare2D{ind2}
            xdata{ind}(ind2,:)=(xdata{ind}(ind2,:)).^2;
            xdataarray{ind}{ind2}=(xdataarray{ind}{ind2}).^2;
        end
        if length(plotparam.xscale2D{ind2})==length(seriesnumber)
            xdata{ind}(ind2,:)=xdata{ind}(ind2,:)*plotparam.xscale2D{ind2}(ind);
            xdataarray{ind}{ind2}=xdataarray{ind}{ind2}*plotparam.xscale2D{ind2}(ind);
        end
    end
    if plotparam.yscalesquare
        ydata{ind}=(ydata{ind}).^2;
        ydataarray{ind}=(ydataarray{ind}).^2;
    end
    if length(plotparam.yscale)==length(seriesnumber)
        ydata{ind}=ydata{ind}*plotparam.yscale(ind);
        ydataarray{ind}=ydataarray{ind}*plotparam.yscale(ind);
    end
    if length(plotparam.yoffset)==length(seriesnumber)
        ydata{ind}=ydata{ind}+plotparam.yoffset(ind);
        ydataarray{ind}=ydataarray{ind}+plotparam.yoffset(ind);
    end

%         switch plotparam.deconv
%             case 1
%                 dx=(xdata{ind}(2)-xdata{ind}(1));
%                 PSFxA=0:dx/plotparam.deconvparam:3;
%                 PSFx=[PSFxA(end:-1:2),PSFxA];
%                 PSF=exp(-2*PSFx.^2).^plotparam.deconvparam2;
%     %             length(PSF)
%                 PSF=PSF/sum(PSF);
%                 ydata{ind}=deconvlucy(ydata{ind}, PSF);
%             case 2
%                 dx=(xdata{ind}(2)-xdata{ind}(1));
%                 PSFxA=0:dx/plotparam.deconvparam:1;
%                 PSFx=[PSFxA(end:-1:2),PSFxA];
%                 PSF=1-PSFx;
%     %             figure; plot(PSF);
%     %             length(PSF)
%                 PSF=PSF/sum(PSF);
%                 ydata{ind}=deconvlucy(ydata{ind}, PSF);
%         end
    if plotparam.removenegative
        xdata{ind}=xdata{ind}(ydata{ind}>0);
        ydata{ind}=ydata{ind}(ydata{ind}>0);
    end
%     if length(plotparam.linecolour)>=length(seriesnumber)
%         evalstring=[evalstring,'xdata{',num2str(ind),'},ydata{',num2str(ind),'},''',plotparam.linecolour{ind},plotparam.linestyle,''','];
%     else
%         evalstring=[evalstring,'xdata{',num2str(ind),'},ydata{',num2str(ind),'},''',plotparam.linestyle,''','];
%     end
%     
%     if length(plotparam.xfitmin)==1
%         plotparam.xfitmin=plotparam.xfitmin*ones(size(seriesnumber));
%     end
%     if length(plotparam.xfitmax)==1
%         plotparam.xfitmax=plotparam.xfitmax*ones(size(seriesnumber));
%     end
%     
%     if plotparam.dofit~=0
%         dofitplot=0;
%         switch plotparam.dofit
%             case 1 % linear fit
%                 pointstouseforfit=find((xdata{ind}>=plotparam.xfitmin(ind))&(xdata{ind}<=plotparam.xfitmax(ind)));
%                 if length(pointstouseforfit)>=(plotparam.polyfitorder+1)
%                     [p,~]=polyfit(xdata{ind}(pointstouseforfit),ydata{ind}(pointstouseforfit),plotparam.polyfitorder);
%                     xfitstart=min(xdata{ind}(pointstouseforfit));
%                     xfitend=max(xdata{ind}(pointstouseforfit));
%                     xfitdata{ind}=xfitstart:(xfitend-xfitstart)/1000:xfitend;
%                     yfitdata{ind}=polyval(p,xfitdata{ind});
%                     dofitplot=1;
%                     displaytext=[];
%                     legendentry=[];
%                     for ind2=0:plotparam.polyfitorder
%                         if (ind2==0)&&p(plotparam.polyfitorder-ind2+1)~=0
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind2+1))];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind2+1))];
%                         elseif (p(plotparam.polyfitorder-ind2+1)>0)&&(ind2==1)
%                             displaytext=[displaytext,'+',num2str(p(plotparam.polyfitorder-ind2+1)),'x'];
%                             legendentry=[legendentry,'+',nicenumber(p(plotparam.polyfitorder-ind2+1)),'x'];
%                         elseif (p(plotparam.polyfitorder-ind2+1)<0)&&(ind2==1)
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind2+1)),'x'];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind2+1)),'x'];
%                         elseif p(plotparam.polyfitorder-ind2+1)>0
%                             displaytext=[displaytext,'+',num2str(p(plotparam.polyfitorder-ind2+1)),'x^',num2str(ind2)];
%                             legendentry=[legendentry,'+',nicenumber(p(plotparam.polyfitorder-ind2+1)),'x^',num2str(ind2)];
%                         elseif p(plotparam.polyfitorder-ind2+1)<0
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind2+1)),'x^',num2str(ind2)];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind2+1)),'x^',num2str(ind2)];
%                         end
%                     end
%                     display(displaytext);
%     %                 dofitplot=1;
%                 end
%             case 5 % linear fit with scaling
%                 pointstouseforfit=find((xdata{ind}>=plotparam.xfitmin(ind))&(xdata{ind}<=plotparam.xfitmax(ind)));
%                 if length(pointstouseforfit)>=(plotparam.polyfitorder+1)
%                     [p,~,mu]=polyfit(xdata{ind}(pointstouseforfit),ydata{ind}(pointstouseforfit),plotparam.polyfitorder);
%                     xfitstart=min(xdata{ind}(pointstouseforfit));
%                     xfitend=max(xdata{ind}(pointstouseforfit));
%                     xfitdata{ind}=xfitstart:(xfitend-xfitstart)/1000:xfitend;
%                     yfitdata{ind}=polyval(p,xfitdata{ind},[],mu);
%                     dofitplot=1;
%                     displaytext=[];
%                     legendentry=[];
%                     for ind=0:length(plotparam.polyfitorder)
%                         if (ind==0)&&p(plotparam.polyfitorder-ind+1)~=0
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind+1))];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind+1))];
%                         elseif (p(plotparam.polyfitorder-ind+1)>0)&&(ind==1)
%                             displaytext=[displaytext,'+',num2str(p(plotparam.polyfitorder-ind+1)),'((x-',num2str(mu(1)),')/',num2str(mu(2)),')'];
%                             legendentry=[legendentry,'+',nicenumber(p(plotparam.polyfitorder-ind+1)),'((x-',nicenumber(mu(1)),')/',nicenumber(mu(2)),')'];
%                         elseif (p(plotparam.polyfitorder-ind+1)<0)&&(ind==1)
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind+1)),'((x-',num2str(mu(1)),')/',num2str(mu(2)),')'];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind+1)),'((x-',nicenumber(mu(1)),')/',nicenumber(mu(2)),')'];
%                         elseif p(plotparam.polyfitorder-ind+1)>0
%                             displaytext=[displaytext,'+',num2str(p(plotparam.polyfitorder-ind+1)),'((x-',num2str(mu(1)),')/',num2str(mu(2)),')^',num2str(ind)];
%                             legendentry=[legendentry,'+',nicenumber(p(plotparam.polyfitorder-ind+1)),'((x-',nicenumber(mu(1)),')/',nicenumber(mu(2)),')^',num2str(ind)];
%                         elseif p(plotparam.polyfitorder-ind+1)<0
%                             displaytext=[displaytext,num2str(p(plotparam.polyfitorder-ind+1)),'((x-',num2str(mu(1)),')/',num2str(mu(2)),')^',num2str(ind)];
%                             legendentry=[legendentry,nicenumber(p(plotparam.polyfitorder-ind+1)),'((x-',nicenumber(mu(1)),')/',nicenumber(mu(2)),')^',num2str(ind)];
%                         end
%                     end
%                     display(displaytext);
%     %                 dofitplot=1;
%                 end
%             case 2 % exponential fit, no background
%                 x0(1)=max(ydata{ind});
%                 x0(2)=max(xdata{ind})/2;
%                 lb=[x0(1),0];
%                 ub=[x0(1)*10,x0(2)*10];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@exponential_rise_nobackground,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=exponential_rise_nobackground(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*(1-exp(-t/',num2str(xfitted(2)),'))']);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*(1-exp(-t/',num2str(xfitted(2),'%0.3e'),'))'];
%             case 3 % exponential fit, no background, t offset
%                 x0(1)=max(ydata{ind});
%                 x0(2)=max(xdata{ind})/2;
%                 x0(3)=0;
%                 lb=[x0(1),0,-max(xdata{ind})/10];
%                 ub=[x0(1)*10,x0(2)*10,max(xdata{ind})/10];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@exponential_rise_nobackground_toffset,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=exponential_rise_nobackground_toffset(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*(1-exp(-(t-',num2str(xfitted(3)),')/',num2str(xfitted(2)),'))']);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*(1-exp(-(t-',num2str(xfitted(3),'%0.3e'),')/',num2str(xfitted(2),'%0.3e'),'))'];
%             case 4 % exponential fit with background
%                 x0(1)=max(ydata{ind});
%                 x0(2)=max(xdata{ind})/2;
%                 x0(3)=min(ydata{ind});
%                 lb=[x0(1),0,0];
%                 ub=[x0(1)*10,x0(2)*10,x0(3)*5];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@exponential_rise,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=exponential_rise(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*(1-exp(-t/',num2str(xfitted(2)),'))+',num2str(xfitted(3))]);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*(1-exp(-t/',num2str(xfitted(2),'%0.3e'),'))+',num2str(xfitted(3),'%0.3e')];
%             case 6 % exponential fall fit with nobackground
%                 x0(1)=max(ydata{ind});
%                 x0(2)=max(xdata{ind})/2;
%                 x0(3)=min(xdata{ind});
%                 lb=[x0(1)*0.1,0,0];
%                 ub=[x0(1)*10,x0(2)*10,x0(3)*5];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@exponential_fall_nobackground_toffset,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=exponential_fall_nobackground_toffset(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*exp(-(t-',num2str(xfitted(3)),')/',num2str(xfitted(2)),')']);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-(t-',num2str(xfitted(3),'%0.3e'),')/',num2str(xfitted(2),'%0.3e'),')'];
%             case 9 % exponential fall fit with background
%                 x0(1)=max(ydata{ind});
%                 x0(2)=max(xdata{ind})/2;
%                 x0(3)=min(xdata{ind});
%                 x0(4)=min(ydata{ind})/2;
%                 lb=[x0(1)*0.1,0,0,0];
%                 ub=[x0(1)*10,x0(2)*10,x0(3)*5,x0(4)*2];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@exponential_fall_background_toffset,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=exponential_fall_background_toffset(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*exp(-(t-',num2str(xfitted(3)),')/',num2str(xfitted(2)),')+',num2str(xfitted(4))]);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-(t-',num2str(xfitted(3),'%0.3e'),')/',num2str(xfitted(2),'%0.3e'),')+',num2str(xfitted(4),'%0.3e')];
%             case 11 % lorentzian fit with background  yfit=x(1)/(1+4*((xdata-x(2))/x(3)).^2)+x(4);
%                 x0(1)=max(ydata{ind})-min(ydata{ind});
%                 [~,maxloc]=max(ydata{ind});
%                 x0(2)=xdata{ind}(maxloc);
%                 x0(3)=32;
%                 x0(4)=min(ydata{ind});
%                 lb=[x0(1)/2,min(xdata{ind}),32/2,x0(4)-(std(ydata{ind}))];
%                 ub=[x0(1)*2,max(xdata{ind}),32*2,x0(4)+(std(ydata{ind}))];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@lorentzian,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=lorentzian(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'/(1+4*((x-',num2str(xfitted(2)),')/',num2str(xfitted(3)),')^2)+',num2str(xfitted(4))]);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'/(1+4*((x-',num2str(xfitted(2),'%0.3e'),')/',num2str(xfitted(3),'%0.3e'),')^2)+',num2str(xfitted(4),'%0.3e')];
%             case 7 % gaussian fit with background  yfit=x(1)/(1+4*((xdata-x(2))/x(3)).^2)+x(4);
%                 x0(1)=max(ydata{ind})-min(ydata{ind});
%                 [~,maxloc]=max(ydata{ind});
%                 x0(2)=xdata{ind}(maxloc);
%                 x0(3)=sum(ydata{ind}-min(ydata{ind}))/x0(1)/2*(max(xdata{ind})-min(xdata{ind}))/length(xdata{ind});
%                 x0(4)=min(ydata{ind});
%                 lb=[x0(1)/2,min(xdata{ind}),x0(3)/10,x0(4)-(std(ydata{ind}))];
%                 ub=[x0(1)*2,max(xdata{ind}),x0(3)*10,x0(4)+(std(ydata{ind}))];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@gaussian,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=gaussian(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*exp(-((x-',num2str(xfitted(2)),')/',num2str(xfitted(3)),')^2)+',num2str(xfitted(4))]);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-((x-',num2str(xfitted(2),'%0.3e'),')/',num2str(xfitted(3),'%0.3e'),')^2)+',num2str(xfitted(4),'%0.3e')];
%             case 8 % gaussian fit with no background
%                 x0(1)=max(ydata{ind})-min(ydata{ind});
%                 [~,maxloc]=max(ydata{ind});
%                 x0(2)=xdata{ind}(maxloc);
%                 x0(3)=sum(ydata{ind}-min(ydata{ind}))/x0(1)/2*(max(xdata{ind})-min(xdata{ind}))/length(xdata{ind});
%                 lb=[x0(1)/2,min(xdata{ind}),x0(3)/10];
%                 ub=[x0(1)*2,max(xdata{ind}),x0(3)*10];
%                 display('fitting...');
%                 xfitted=lsqcurvefit(@gaussian_nobackground,x0,xdata{ind},ydata{ind},lb,ub);
%                 yfitdata{ind}=gaussian_nobackground(xfitted,xdata{ind});
%                 xfitdata{ind}=xdata{ind};
%                 dofitplot=1;
%                 display([num2str(xfitted(1)),'*exp(-((x-',num2str(xfitted(2)),')/',num2str(xfitted(3)),')^2)']);
%                 legendentry=[num2str(xfitted(1),'%0.3e'),'*exp(-((x-',num2str(xfitted(2),'%0.3e'),')/',num2str(xfitted(3),'%0.3e'),')^2)'];
%             case 10% sectional average
%                 pointstouseforfit=find((xdata{ind}>=plotparam.xfitmin(ind))&(xdata{ind}<=plotparam.xfitmax(ind)));
%                 xfitstart=min(xdata{ind}(pointstouseforfit));
%                 xfitend=max(xdata{ind}(pointstouseforfit));  
%                 display(['Sectional average : ','x start: ',num2str(xfitstart),'; x stop: ',num2str(xfitend) ]);
%                 display(['Sectional Mean: S',num2str(seriesnumber(ind)),': ',num2str(mean(ydata{ind}(pointstouseforfit))/1e6,'%0.6f'),' M +/- ',num2str(std(ydata{ind}(pointstouseforfit))/1e6,'%0.6f'), ' M']);
%                 display(['Sectional Mean: S',num2str(seriesnumber(ind)),': ',num2str(mean(ydata{ind}(pointstouseforfit)),'%0.6f'),' +/- ',num2str(std(ydata{ind}(pointstouseforfit)),'%0.6f'), ' ']);
% 
%         end
%         
%         
%         if dofitplot
%             if (length(plotparam.linecolour)>=length(seriesnumber))
%                 evalstring=[evalstring,'xfitdata{',num2str(ind),'},yfitdata{',num2str(ind),'},''',plotparam.linecolour{ind},plotparam.linefitstyle,''','];
%             else
%                 evalstring=[evalstring,'xfitdata{',num2str(ind),'},yfitdata{',num2str(ind),'},''',plotparam.linefitstyle,''','];
%             end
%             if (length(plotparam.legendtext)>=2*ind)
%                 for temp=length(plotparam.legendtext):-1:2*ind
%                     plotparam.legendtext{temp+1}=plotparam.legendtext{temp};
%                 end
%             end
%             plotparam.legendtext{2*ind}=legendentry;
%         end
%     end

%     [p,S,mu]=polyfit(xdata{ind},ydata{ind},1);
%     [ydatafit{ind},delta{ind}]=polyval(p,xdata{ind},S,mu);
%     evalstring=[evalstring,'xdata{',num2str(ind),'},ydatafit{',num2str(ind),'},''-'','];
%     evalstring=[evalstring,'xdata{',num2str(ind),'},ydatafit{',num2str(ind),'}+delta{',num2str(ind),'},''--'','];
%     evalstring=[evalstring,'xdata{',num2str(ind),'},ydatafit{',num2str(ind),'}-delta{',num2str(ind),'},''--'','];
end

% if isempty(plotparam.plotoptions)
%     evalstring=[evalstring(1:(end-1)),');'];
% else
%     evalstring=[evalstring,'''MarkerSize'',20);'];
% end
% eval(evalstring);
% 
% if ~isempty(plotparam.legendtext)
%     legend(plotparam.legendtext,'Location',plotparam.legendlocation)
% end
% if plotparam.logyscale
%     set(gca,'YScale','log');
% end
for ind=1:length(seriesnumber)
    figure
    if plotparam.selectivey
        imagesc(xdataarray{ind}{2},xdataarray{ind}{1},max(plotparam.selectiveyrange(1),min(plotparam.selectiveyrange(2),ydataarray{ind})));
    else
        imagesc(xdataarray{ind}{2},xdataarray{ind}{1},ydataarray{ind});
    end
    colormap jet;
    colorbar;
    
    title(plotparam.title);
    xlabel(plotparam.xlabel);
    ylabel(plotparam.ylabel);
end

return

end

function [yfit]=exponential_rise(x,xdata)

yfit=x(1)*(1-exp(-xdata/x(2)))+x(3);

end

function [yfit]=exponential_rise_nobackground(x,xdata)

yfit=x(1)*(1-exp(-xdata/x(2)));

end

function [yfit]=gaussian(x,xdata)

yfit=x(1)*exp(-((xdata-x(2))/x(3)).^2)+x(4);

%                                     figure(22);
%                                     plot(xdata,yfit,'r-');
% pause(0.1);

end

function [yfit]=lorentzian(x,xdata)

yfit=x(1)./(1+4*((xdata-x(2))/x(3)).^2)+x(4);

%                                     figure(22);
%                                     plot(xdata,yfit,'r-');
% pause(0.1);

end

function [yfit]=gaussian_nobackground(x,xdata)

yfit=x(1)*exp(-((xdata-x(2))/x(3)).^2);

end

function [yfit]=exponential_rise_nobackground_toffset(x,xdata)

yfit=x(1)*(1-exp(-(xdata-x(3))/x(2)));

end

function [yfit]=exponential_fall_nobackground_toffset(x,xdata)

yfit=x(1)*exp(-(xdata-x(3))/x(2));

end

function [yfit]=exponential_fall_background_toffset(x,xdata)

yfit=x(1)*exp(-(xdata-x(3))/x(2))+x(4);

end

function [output]=nicenumber(value)

if (abs(value)<0.01)||(abs(value)>10000)
    output=num2str(value,'%0.3e');
else
    output=num2str(value,'%0.6f');
end

end
