function [map]=makecolormap(inputvals,levels)

%blueredcolormap=[0 0 0 1;0.5 1 1 1; 1 1 0 0];

map=zeros(levels,3);

numberoflines=size(inputvals,1)-1;
for line=1:numberoflines,
    startval=inputvals(line,1)*(levels-1);
    stopval=inputvals(line+1,1)*(levels-1);
    indexaffected=ceil(startval):floor(stopval);
    
    map(indexaffected+1,1)=inputvals(line,2)+(inputvals(line+1,2)-inputvals(line,2))*(indexaffected-startval)/(stopval-startval);
    map(indexaffected+1,2)=inputvals(line,3)+(inputvals(line+1,3)-inputvals(line,3))*(indexaffected-startval)/(stopval-startval);
    map(indexaffected+1,3)=inputvals(line,4)+(inputvals(line+1,4)-inputvals(line,4))*(indexaffected-startval)/(stopval-startval);
end

end
