close all
% 
% % 
addpath('Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Matlab\FermiMOTVisionTools');

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Capture MOT NI (5 sec loading)';
%%Aom 100 % seriesvals=[43,48,52]
%%Aom 60  % seriesvals=[42,49,53]
%%Aom 40  % seriesvals=[44,47,51]
%%Aom 20  % seriesvals= [ 55,56,57,59]
% AOM @ 60 % ,45,46,47,48,49,50,51,52,53,54];
dateval = '200923'





seriesvals=[10,11,15,17,18];
params.legendstext = {
'Modulation frequency mode 3 Frequency = 10 KHz'
'Modulation frequency mode 3 Frequency = 10 KHz'
'Modulation frequency mode 3 Frequency = 10 KHz'
'Modulation frequency mode 3 Frequency = 10 KHz'
'Modulation frequency mode 3 Frequency = 10 KHz'

}

params.analysis = 18
params.otherOptions = 2;
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);








