close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,'Capture M'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=14:25;
params.legendstext = {
'AOm 100%'
'AOM 60 %'
'AOM 40 %'
'AOM 20 %'
'AOm 100%'
'AOM 60 %'
'AOM 40 %'
'AOM 20 %'
'AOm 100%'
'AOM 60 %'
'AOM 40 %'
'AOM 20 %'
'AOm 100%'
'AOM 60 %'
'AOM 40 %'
'AOM 20 %'
}




params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AOM @ 100 % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=[14,18,22];
params.legendstext = {
'AOm 100%'
'AOm 100%'
'AOm 100%'

}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AOM @ 60 % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=[15,19,23];
params.legendstext = {
'AOm 60%'
'AOm 60%'
'AOm 60%'

}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AOM @ 40 % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=[16,20,24];
params.legendstext = {
'AOm 60%'
'AOm 60%'
'AOm 60%'

}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);