close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,' Red Img'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Intensity (%) ';
params.ylabel = 'Capture MOT NI';


seriesvals=[18];

dateval='200910'

params.legendstext = {
'Intensity scan f mod = 0.014 MHZ'
}


params.MolassesPowerCal =[2.916e-6,-0.00131,2131];
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);

