close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,' Red Img'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Intensity (mW) ';
params.ylabel = 'Capture MOT NI';


seriesvals=[18];

dateval='200910'

params.legendstext = {
'Intensity scan f mod = 0.014 MHZ'
}


params.MolassesPowerCal =[2.916e-6,-0.00131,0.1758];
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AOM @ 100 % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200914'
seriesvals=[7];
params.legendstext = {
'AOm 100%'
'AOm 100%'
'AOm 100%'
'AOm 100%'
'AOm 60%'
'AOm 60%'
'AOm 60%'
'AOm 40%'
'AOm 40%'
'AOm 40%'
'AOm 20%'
'AOm 20%'
'AOm 20%'
}


params.analysis = 18
params.isFluoresencePic = 1;
params.otherOptions = 0;
params.savedata = 1

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;

FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);