close all
% 
% % 
% saveProfile(myCluster);
% p = parpool (6)

 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[filename,FolderName] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.Datapath = FolderName;
params.FileNameData =filename;



%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Intensity (mW) ';
params.ylabel = 'Capture MOT NI';


seriesvals=[18,19,20];

dateval='200910'

params.legendstext = {
'Intensity scan f mod = 0.014 MHZ'
'Intensity scan f mod = 0.04 MHZ'
'Intensity scan f mod = 0.1 MHZ'
}

params.doPowerCAL = 1;
params.MolassesPowerCalX =[100,80,60,40,30,20,10,0];
params.MolassesPowerCalY =[7,6.9,6.5,5.2,4.3,3.2,1.76,0];

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% AOM @ 100 % 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200904'
seriesvals=[7];
params.legendstext = {
'AOm 100%'
'AOm 100%'
'AOm 100%'
'AOm 100%'
'AOm 60%'
'AOm 60%'
'AOm 60%'
'AOm 40%'
'AOm 40%'
'AOm 40%'
'AOm 20%'
'AOm 20%'
'AOm 20%'
}


params.analysis = 18
params.isFluoresencePic = 1;
params.otherOptions = 0;
params.savedata = 1

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;

FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);