close all

% 
addpath('Q:\qgases\groups\strontium\SrCAL\Matlab\VisionTools')
filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[mfilename,''];
% params.title='Flux Measurement';
% params.xoffset=[78.18, 80, 80];
% params.yoffset=[0:3e6:2*3e6];
% params.yoffsld inteet=([0.223,0.215,0.638]-0.223)*1e6; % 0:1e5:2e5;
% params.xoffset=0;
% % params.xoffset=80.5;
% params.xoffset=80-0.25;
params.yscale=1;
% params.xscale=689e-9*1e6;7
% params.legendtext={'160518S301: 83.6/83.8, 1MHZ','160519S5: 83.6/83.8, 2MHZ','160519S6: 83.6/83.8, 3MHZ','160518S22: 83.6/83.8, 4MHZ','160519S7: 83.6/83.8, 5MHZ','160518S26: 83.6/83.8, 6MHZ'};
% params.legendtext={'160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S52: ALVH 2.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S51: ALVH 2A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S50: ALVH 1.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S49: ALVH 1A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S48: ALVH 0.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S41: ALVH 0.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S40: ALVH 1A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S37: ALVH 1.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S39: ALVH 2A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S46: ALVH 2.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S47: ALVH 3A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81'};

params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.xlabel='SOLD intensity [%]';


% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% 
% dateval={'190805'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
seriesvals=[40,41,42]

params.xlabel='Shots';
params.title=[filename,', Stability measurement'];


dateval= datestr(now,'yymmdd')

dateval='200907';

params.legendstext = {
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'
'stability repumper on 15 seconds loaging f 668.91762'

}

    % params.xfitmax=[8000];
    % params.xfitmin=[200];
     params.dofit=1;   
     params.polyfitorder=0;
     params.extractStability = 1;



params.otherOptions =0  
params.lightDetunning = 0;
params.averageseries = 1;
params.removenegative =0;
params.legendlocation='southoutside';
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);
% axis([0 inf 0 inf]);

% 



% %%% Y0 %%%
% % axis([0 10 0 inf]);
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+35;
% params.ylabel='Y0';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.2 0.4]);


% %%%Sx %%%
% % axis([0 10 0 inf]);
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+5;
% params.ylabel='Sx';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.01 0.02]);


% 
% 
% % aligning figures
% gfigure col
