close all

%%%%%%%%%%%%%%%
% Inizialization
%%%%%%%%%%%%%%%
params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.thisScriptName = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.thisScriptName);
params.savedata = false;
params.displayimageloadingmessages=1;
params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=6;
params.dataparameters=1;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%params.yscale=[1,3];
seriesvals=[27];
dateval='180801';
params.legendstext={...    
    '100 mV error signal phase = '...
  };



%%%%%%%%%%%%%%%
% Save data
%%%%%%%%%%%%%%%

 params.savedata = false;

%%%%%%%%%%%%%%%
% Fitting options
%%%%%%%%%%%%%%%
%  params.xfitmax=[2000];
% params.start=79.97;
% params.upperbound = 123123123123123123;
% params.lowerbound = 0;
 %params.dofit=16;
%  params.analysis=18;


%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%
params.title=[params.filename,' Bec spectroscopy'];
params.xlabel='Red imgaing frequency Freq [MHz]'
params.ylabel='Cloud displacement';

% PLOT displacement of cloud NUMBER %
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+34;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);
% axis([79.82 80.1 0 1e5]);

%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%

% params.title=[params.filename,'SOME TITTLE'];
% params.xlabel='My x label'
% params.ylabel='My y label for var 2';


% % PLOT TEMPERATURE %
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+5;
% params.ylabel='Sx^2';
% plotvisionseriesv5(seriesvals,dateval,params);


% LOAD PICTURE FROM SERIES %
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% % aligning figures
% gfigure col
