close all
% 
% % 
addpath('Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Matlab\FermiMOTVisionTools');

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.title=[params.filename,' 87Sr loading curve'];

params.xlabel='Loading Time [ms]';
params.ylabel='Capture MOT NI';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
seriesvals=[4,16];

dateval='200911'

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;



params.legendstext = {
'loading rate '
'loading rate '
'loading rate '
'loading rate '




}
%params.analysis = 18;
params.dofit=2; % fit 4, exponential loading
params.otherOptions = 1;


%  params.analysis=18;
%  params.analysis =20;
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
% params.xlabel='Wait [ms]';
params.ylabel='NI';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);
axis([0 inf 0 inf]);

