close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,'Capture M'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Capture MOT NI (5 sec loading)';
%%Aom 100 % seriesvals=[43,48,52]
%%Aom 60  % seriesvals=[42,49,53]
%%Aom 40  % seriesvals=[44,47,51]
%%Aom 20  % seriesvals= [ 55,56,57,59]
% AOM @ 60 % ,45,46,47,48,49,50,51,52,53,54];
dateval = '200910'



params.otherOptions = 1;
params.savedata = 1;

seriesvals=[43,48,52];
params.legendstext = {
'Modulation frequency mode 3 AOM 100%'
'Modulation frequency mode 3 AOM 100%'
'Modulation frequency mode 3 AOM 100%'
'Modulation frequency mode 3 AOM 100%'

}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);





seriesvals=[42,49,53];
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);


seriesvals=[44,51,47];
params.legendstext = {
'Modulation frequency mode 3 AOM 40%'
'Modulation frequency mode 3 AOM 40%'
'Modulation frequency mode 3 AOM 40%'
'Modulation frequency mode 3 AOM 40%'
}

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);







seriesvals=[45,46,50];
params.legendstext = {
'Modulation frequency mode 3 AOM 20%'
'Modulation frequency mode 3 AOM 20%'
'Modulation frequency mode 3 AOM 20%'
'Modulation frequency mode 3 AOM 20%'
'Modulation frequency mode 3 AOM 20%'
}
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);






seriesvals=[55,56,57];
params.legendstext = {
'Modulation frequency mode 3 AOM 10%'
'Modulation frequency mode 3 AOM 10%'
'Modulation frequency mode 3 AOM 10%'
'Modulation frequency mode 3 AOM 10%'

}
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);






