%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [z] = fitDoubleGauss2DWithAngleAR(p,X,SizeRatioThermal,SizeRatioBEC,dxFix,dyFix);
%first Gauss
%cx = p(1);
%cy = p(2);
%sx = p(3);
%AR1 = p(4);
%amp = p(5);
%offset = p(6)

%second Gauss
%sx = p(7);
%AR2 = p(8)
%amp = p(9);
%relative center coordinates
%dx = p(10);
%dy = p(11);

%angle = p(12);

%Individual center position:
BECPosX=p(1)-p(10);
BECPosY=p(2)-p(11);
%Same center position:
%BECPosX=p(1);
%BECPosY=p(2);
%Shifted center position:
%BECPosX=p(1)-dxFix;
%BECPosY=p(2)-dyFix;
%all sizes free
%X=(cos(p(12))*X(:,1)+sin(p(12))*X(:,2))
%Y=(-sin(p(12))*X(:,1)+cos(p(12))*X(:,2))
z = p(5)*(exp(-0.5*((cos(p(12))*X(:,1)+sin(p(12))*X(:,2))-BECPosX).^2./(p(3)^2)-0.5*((-sin(p(12))*X(:,1)+cos(p(12))*X(:,2))-BECPosY).^2./(p(3)*p(4))^2)) + p(6) + p(9)*(exp(-0.5*((cos(p(12))*X(:,1)+sin(p(12))*X(:,2))-p(1)).^2./(p(7)^2)-0.5*((-sin(p(12))*X(:,1)+cos(p(12))*X(:,2))-p(2)).^2./((p(7)*p(8))^2)));
%Gauss Size ratio fix:
%SizeRatioThermal=1/(1.16477-0.00943*p(7));%=p(8)/p(7)
%z = p(5)*(max(0, 1-(X(:,1)-BECPosX).^2./(p(3)^2)-(X(:,2)-BECPosY).^2./(p(4)^2))).^(3/2) + p(6) + p(9)*(exp(-0.5*(X(:,1)-p(1)).^2./(p(7)^2)-0.5*(X(:,2)-p(2)).^2./((SizeRatioThermal*p(7))^2)));
%Gauss and BEC size ratio fix:
%z = p(5)*(max(0, 1-(X(:,1)-BECPosX).^2./(p(3)^2)-(X(:,2)-BECPosY).^2./((p(3)*SizeRatioBEC)^2))).^(3/2) + p(6) + p(9)*(exp(-0.5*(X(:,1)-p(1)).^2./(p(7)^2)-0.5*(X(:,2)-p(2)).^2./((SizeRatioThermal*p(7))^2)));
z = double(z);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%