%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [z] = gaussian2Dfn(p,X)

% Meaning of FIT parameters
% 
% p(1)=Offset 
% p(2)=>Signal Amplitude
% p(3)=>CenterX
% p(4)=>CenterY
% p(5)=>sigmaX
% p(6)=>sigmaY


z=p(1)+p(2)* exp(  (-0.5*(X(:,1)-p(3)).^2./(p(5)^2))+(-0.5*(X(:,2)-p(4)).^2./(p(6)^2)) );



z = double(z);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%