function [F] = CreateGaussianWithAngle(x0,mx,my)


a =  x0(5);
xc = x0(1);
xw = x0(3);
yc = x0(2);
yw = x0(4);
off = x0(6);
angle = x0(7);

y = 1:1:my;
F = zeros(my,mx);

for i = 1:1:mx
    x = i;
    Xrot=(cos(angle)*x+sin(angle)*y);
    Yrot=(-sin(angle)*x+cos(angle)*y);
    F(:,i) = (a.*exp(-(Xrot - xc).^2 ./ (2 * xw.^2)).* exp(- (Yrot - yc).^2 ./ (2 * yw.^2))) + off;
end
end