function [PictureShott] = LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber, cropfigure );


    [Directory] = finddirectory (SeriesDate) ;
    [gridx,gridy ] = getGrid (VisionPic)
    rectIn =  0;

%       PicName = ['s' ,num2str(SeriesNumber),'P',num2str(VisionPic(k),'%04i'),char(64+CameraNumber)];
        %h(k)= subplot (2,gridx,k);
        [RefPic,rectIn] =  GetFigure (Directory,SeriesNumber,VisionPic,CameraNumber, cropfigure,rectIn );
        maxPic = max(max(RefPic));
        minPic = min(min(RefPic));
        imshow((RefPic-minPic)/(maxPic-minPic)*256,jet(256),'Border','tight');
        %pbaspect('auto')
%         title(PicName)
%       
%       ratio = 1/(length(VisionPic))^0.5
%      set(h(1),'position',[ratio  0.05 ratio (ratio-0.1)])
%      set(h(2),'position',[0  0.05     ratio (ratio-0.1)])
%      set(h(3),'position',[ratio ratio ratio (ratio-0.1)])
%      set(h(4),'position',[0 ratio     ratio (ratio-0.1)])

end 


function [Directory] = finddirectory ( SeriesDate )

    basedirectorylist={'Y:\Vision\','Y:\Backup\','S:\Vision\','S:\Backup\','F:\Vision\','G:\Vision\','D:\Vision\','E:\Vision\'};
    Directory = 'Unknown';

    for basedirectoryind=1:length(basedirectorylist)
        Folder = [basedirectorylist{basedirectoryind},num2str(SeriesDate)]
        if exist(Folder, 'dir')
            Directory = Folder;
        end
    end
    if (strcmp(Directory,'Unknown'))
        error(['series NOT found',' ',num2str(SeriesDate),' ',num2str(SeriesNumber)])
    end
end

    function [RefPic,rectIna]=  GetFigure (Directory,SeriesNumber,VisionPic,CameraNumber, cropfigure,rectIn )
    
     [referencePic, newdata, raw, probe]=loadvisionpicture(Directory, SeriesNumber, VisionPic, CameraNumber);
    

    referencePic=max(-referencePic,0);
    % imshow (referencePic);

    maxPic = max(max(referencePic));
    minPic = min(min(referencePic));

    if cropfigure
        if rectIn ~= 0
            [RefPic] = imcrop((referencePic-minPic)/(maxPic-minPic)*256,rectIn); 
            rectIna = rectIn;
         else
            initfigure = figure;
            [RefPic, rectIna] = imcrop((referencePic-minPic)/(maxPic-minPic)*256,jet(256)); 
            close(initfigure);
        end
         
    else
        RefPic = referencePic;
        rectIna = rectIn;
    end
    
    end

  function  [ gridx,gridy ] =  getGrid (VisionPic)
        grid = sqrt (length(VisionPic))

        grid1 = floor( grid )
        if ( grid ~= grid1 )
            gridx = floor (grid +1 );
        else
            gridx = grid;
        end
        numCol = length(VisionPic)/gridx
        grid2 = floor( numCol  );
        if (numCol == grid2 )
            gridy = grid2;
        else
            gridy = grid2+1;
        end
    end
    

