close all

%%%%%%%%%%%%%%%
% Inizialization
%%%%%%%%%%%%%%%
params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.thisScriptName = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.thisScriptName);
params.savedata = false;
params.displayimageloadingmessages=1;
params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=1;
params.dataparameters=1;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % % params.yscale=[1,3];
seriesvals=[9];
seriesvals=[36,38,39];

dateval='200130';
params.legendstext={...    
      'Waittime 500  mS Probe 40 % dT = (19.5,-31.75,-22) SOLD 100% LATTICE f = 435.75329 '...
      'Waittime 1500  mS Probe 25 % dT = (19.5,-31.75,-22) SOLD 100% LATTICE f = 435.75329 '...
      'Waittime 200  mS Probe 100 % dT = (19.5,-31.75,-22) SOLD 100% LATTICE f = 435.75329 '...

  };
%%%%%%%%%%%%%%%
% Save data
%%%%%%%%%%%%%%%
% params.savedata = false;
params.yscale  = [1,4,1]
%%%%%%%%%%%%%%%
% Fitting options
%%%%%%%%%%%%%%%
% Lorentzian fit
 params.dofit=16;
 
%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%
params.title=[params.filename,' Bec spectroscopy'];
params.xlabel='Freq [MHz]'
params.ylabel='BEC NI';

% PLOT ATOM NUMBER %
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([79.82 80.1 0 1e5]);

%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%

% params.title=[params.filename,'SOME TITTLE'];
% params.xlabel='My x label'
% params.ylabel='My y label for var 2';


% % PLOT TEMPERATURE %
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+5;
% params.ylabel='Sx^2';
% plotvisionseriesv5(seriesvals,dateval,params);


% LOAD PICTURE FROM SERIES %
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% % aligning figures
% gfigure col
