close all

% 
filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[mfilename,''];
% params.title='Flux Measurement';
% params.xoffset=[78.18, 80, 80];
% params.yoffset=[0:3e6:2*3e6];
% params.yoffsld inteet=([0.223,0.215,0.638]-0.223)*1e6; % 0:1e5:2e5;
% params.xoffset=0;
% % params.xoffset=80.5;
% params.xoffset=80-0.25;
params.yscale=1;
% params.xscale=689e-9*1e6;7
% params.legendtext={'160518S301: 83.6/83.8, 1MHZ','160519S5: 83.6/83.8, 2MHZ','160519S6: 83.6/83.8, 3MHZ','160518S22: 83.6/83.8, 4MHZ','160519S7: 83.6/83.8, 5MHZ','160518S26: 83.6/83.8, 6MHZ'};
% params.legendtext={'160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S52: ALVH 2.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S51: ALVH 2A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S50: ALVH 1.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S49: ALVH 1A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S48: ALVH 0.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S41: ALVH 0.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S40: ALVH 1A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S37: ALVH 1.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S39: ALVH 2A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S46: ALVH 2.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S47: ALVH 3A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81'};

params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=2;
params.dataparameters=1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.xlabel='SOLD intensity [%]';


% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% seriesvals=[21];
% 
% dateval={'190805'};
% 
% params.xscalesquare=1;
% params.yscalesquare=1;


params.xlabel='Red Img [MHz]';
params.title=[filename,','];

seriesvals=[40, 41, 1, 2, 3];
% dateval={'190730', '190802', '190802', '190802', '190803', '190803', '190805' };
dateval={'190813','190813','190814','190814','190814'} ;



params.legendstext = {
        'NI / SSBEC 84 PSD1 ',
        'NI / SSBEC 84 PSD1, mJ=-1 (Reservoir atoms, Stark shift) ',
        'NI / SSBEC 84 PSD1, mJ=-1 (Reservoir atoms, No DT contributed Stark shift) ',
        'NI / SSBEC 84 PSD1, mJ=+1 (Reservoir atoms, No DT contributed Stark shift) ',
        'NI / SSBEC 84 PSD1, mJ=+1 (Reservoir atoms, Stark shift) ',
        
        }


% % Fit functions % 
% case 1   % linear fit
% case 5   % linear fit with scaling
% case 2   % exponential fit, no background
% case 3   % exponential fit, no background, t offset
% case 4   % exponential fit with background
% case 6   % exponential fall fit with nobackground
% case 9   % exponential fall fit with background
% case 11  % lorentzian fit with background  yfit=x(1)/(1+4*((xdata-x(2))/x(3)).^2)+x(4);
% case 7   % gaussian fit with background  yfit=x(1)/(1+4*((xdata-x(2))/x(3)).^2)+x(4);
% case 8   % gaussian fit with no background
% case 10  % sectional average
% case 12  % sinusoidal fit with background  yfit=x(1)*sin(2*pi*x(2)*xdata+x(3))+x(4);
% case 13  % decaying sinusoidal fit with background  yfit=x(1)*exp(-t/x(5))*sin(2*pi*x(2)*xdata+x(3))+x(4);






%%%ATOM NUMBER%%%
% params.xfitmax=[82];
% params.xfitmin=[75];

% % linear fit % 
%  params.dofit=1;
%  params.polyfitorder=0;
%  params.xfitmax=[0];
%  params.xfitmin=[3000];

%%%ATOM NUMBER%%%

% % % 
% params.dofit=4;
% % params.polyfitorder=1;
params.dofit=7;
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
plotvisionseriesv2(seriesvals,dateval,params);
% axis([0 inf 0 inf]);

% 


% 
% params.xscalesquare=1;
% params.yscalesquare=1;



%%% SY^2 %%%
% axis([0 10 0 inf]);
% params.dofit=1;
% params.polyfitorder=1;
% params.xfitmax=[100];
% params.xfitmin=[3000];
%  
% params.xfitmax=[1500];
% params.xfitmin=[10];
% params.dofit=1;
% params.polyfitorder=1;
% 
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+6;
% params.ylabel='Sy^2';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.2 0.4]);


% 
% %%% Sx^2 %%%
% % axis([0 10 0 inf]);
% params.xfitmax=[1500];
% params.xfitmin=[10];
% params.dofit=1;
% params.polyfitorder=1;
% 
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+5;
% params.ylabel='Sx^2';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.01 0.02]);
% 

% SeriesNumber = 29 ;
% VisionPic = [1:11];
% CameraNumber = 1;
% 
% SeriesDate = 190813
% 
% 
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )
% 

% 
% 
% % aligning figures
% gfigure col
