close all

addpath('I:\qgases\groups\strontium\SrCAL\Data\Sr87\Matlab\FermiMOTVisionTools');

params=visionplotparams;

params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[filename,FolderName] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.Datapath = FolderName;
params.FileNameData =filename;


%Fit fermions 
%Does not run from network folder
CurrentScriptPath = mfilename('fullpath');
CurrentDirectory = CurrentScriptPath(1:end-6);
addpath([CurrentDirectory,'tools'])
DataDirectory = 'Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Data\';
% Data to load %

%Loading S16 data. This data is located inside Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Data\200911\S16
SeriesDate = '200911';
seriesnumber = [6,11,15,19];
imagenumbers = [2,2,37,2];
% seriesnumber = [6,11,15,19];
% imagenumbers = [1,1,38,1];
timearray = [1*60,1*60+34,2*60+15,3*60:15];

% Crop picture rectangle %
% params.rectIna = [ 1144 ,47     ,  478      , 922]; %% 
params.cameranumber = 3;
params.cameraResolution = [14.32,14.32];  %camera resolution um/pix (horizontal imaging) for x and y
params.isFluoresencePic = 0;
Results1Dx = {};Results1Dy = {};expSigmay = {};expSigmax = {};
sigmaxvector = [] ; sigmayvector = [];
Dsigmaxvecotr = [];Dsigmayvecotr = [];
makeROIBool = true
rectInner = [];
rectOuter = [];
for ind = 1:length(imagenumbers)
% imRawdata = loadPictureData(DataDirectory, SeriesDate, series{1}, PictureS(1), params);

DayDirectory = [DataDirectory,SeriesDate]
 [croppedPic,filenameVision,rectInner,rectOuter] = LoadVisionDataTGA (DayDirectory,seriesnumber(ind),imagenumbers(ind),params,makeROIBool,rectInner,rectOuter);
 [atomNumberTab,effTemperatureTab,effTemperature1DXTab,effTemperature1DYTab,CenterOfMassX ,CenterOfMassY ,SpreadX,SpreadY] = calculateExperimentalValues (params,filenameVision,croppedPic);
 makeROIBool = false;
 atomNumberarray(ind) = atomNumberTab;
% SeriesDataFolder = [DataDirectory,SeriesDate,'\',series];
% s
% PictureNumber = PictureS(ind);1
% TOF = 0.1;
% 
% [Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D,F] = MyGaussfit1D(SeriesDataFolder,PictureNumber,params);
% [resutls , sigma ,xdata ] = MyGaussfit2D2D(SeriesDataFolder,PictureNumber,params,Results1Dx,Results1Dy);
% 
% sigmaxvector = [sigmaxvector,resutls(2)];
% sigmayvector = [sigmayvector,resutls(4)];
% plotAllfigures (xdata,resutls,sigma,Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D,F,params,PictureS,series,SeriesDate,ind)

end

meanNI =  mean(atomNumberarray);
sigmaNI =std(atomNumberarray);
sigmaNI/meanNI
Timearray = timearray;

displayValue = ['\sigma_{N} =' , num2str( meanNI,'%.2f'),'\pm',num2str( sigmaNI,'%.2f')];
display(displayValue)
figure
title(displayValue)


