function params  = solveObe ( data )
global counter;
counter = 0;
params = data;
Operators = OperatorClass(params);
%I do all posible operations outside the obe function for faster procesing.
%%Construct Hamiltonia and multpily for i.
hbar = params.hbar; 

HTimeIndependent  =1i*sparse( Operators.H )/hbar;
HtimeDependent =1i*Operators.Ht/hbar; %We add the time dependency inside the obe  

%Get initial conditions. If params.PopulationType thermal populates
%momentum states thermaly otherwise populates the highes momentum state
%only

ic = getInitialCondition(params);

% aditional functions used to contruct livoullian inside obe function
[~,~,v,vfn,sigmamult2dfn,mat] = ConstructDecayOperators (params); 
sigmamult2dfn = full(sigmamult2dfn);
%Solve OBE
opts = odeset('OutputFcn',@ (time, y, flag ) ode45output (time, y, flag ,params),'OutputSel',params.SavedArray);
y = @(t,rho,params) obe(t,rho,HTimeIndependent,HtimeDependent,mat,sigmamult2dfn,v,vfn,params);

tic
ode45 (@(t,rho) y(t,rho,params),params.Tspam,ic,opts);
toc
% tic 
% myode45(@(t,rho) y(t,rho,params),params.Tspam,ic,opts);
% toc


end