function Plotfigures (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D)

plotIntegratedy (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D)
 plotIntegratedx (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D)

end


function plotIntegratedy (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D)

%%Camera 3 resolution
xcal =14.32;  %camera resolution um/pix (horizontal imaging)
ycal =14.32;



exponent = 0.5*((y1D - Results1Dy(1))/(Results1Dy(2))).^2;
y = Results1Dy(3)*exp(-exponent) + Results1Dy(4) ;
scatter(y1D,my)


PlotLegend = ['\sigma','y','=',num2str(ycal*Results1Dy(2)),'\pm',num2str(ycal*expSigmay(2))]
plot (y1D, y);


legend('Integrated y  profile ',PlotLegend)

end
function plotIntegratedx (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D)

%%Camera 3 resolution
xcal =14.32;  %camera resolution um/pix (horizontal imaging)
ycal =14.32;





exponent = 0.5*((x1D - Results1Dx(1))/(Results1Dx(2))).^2;
x = Results1Dx(3)*exp(-exponent) + Results1Dx(4) ;
scatter(x1D,mx)


PlotLegend = ['\sigma','y','=',num2str(ycal*Results1Dx(2)),'\pm',num2str(ycal*expSigmax(2))]
plot (x1D, x);


legend('Integrated y  profile ',PlotLegend)

end