function plotAllfigures (xdata,resutls,sigma,Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D,F,params,PictureS,series,SeriesDate,ind)

xcal  = params.cameraResolution(1);
ycal  = params.cameraResolution(2);
figure2DGausian = figure(6);

FitResult = gaussian2DfnwithAngle(resutls,xdata);
maxPic = max(max(FitResult));
minPic = min(min(FitResult));


subplot(3,length(PictureS),ind);
imageScaled1 = (F-minPic)/(maxPic-minPic)*256;
imshow(imageScaled1',jet(256),'Border','tight');
set(figure2DGausian,'NumberTitle', 'off', 'Name', '2D Gausian Fit results');
title(['Picture ',num2str(PictureS(ind)), ' ' ,SeriesDate, '  ' , series ], 'Interpreter', 'None','FontWeight', 'bold');




subplot(3,length(PictureS),ind+length(PictureS));
imageScaled2 = (FitResult-minPic)/(maxPic-minPic)*256;
imshow(imageScaled2',jet(256),'Border','tight');

titleForFigure = ['Results'];
resultsx = ['\sigma','x','=',num2str(ycal*resutls(2)),'\pm',num2str(ycal*sigma(2))];
resultsy = ['\sigma','y','=',num2str(ycal*resutls(4)),'\pm',num2str(ycal*sigma(4))];

maxOD = ['ODmax','=',num2str(resutls(5)),'\pm',num2str(sigma(5))];
results =[resultsx ,'  ' ,resultsy ];
titleForFigure = {titleForFigure, results,maxOD};
titleForF2igure = ['Fit Result: \n' , '\sigma' ,'x = ', num2str(resutls(2)) , '\pm' ,num2str(sigma(2))];
title(titleForFigure);




subplot(3,length(PictureS),ind+2*length(PictureS));
diferencePics = imageScaled2 - imageScaled1;
%imageScaled = (diferencePics-minPic)/(maxPic-minPic)*256;
imshow(diferencePics',jet(256),'Border','tight');
set(figure2DGausian,'NumberTitle', 'off', 'Name', '2D Gausian Fit results');
title('Residue', 'Interpreter', 'None','FontWeight', 'bold');





figureIntegratedy = figure (4);
subplot(2,ceil(length(PictureS)/2),ind);
piclegend =['picture', num2str(PictureS(ind))];
plotIntegratedy (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D,piclegend);
set(figureIntegratedy,'NumberTitle', 'off', 'Name', 'Integrated y profiles');

figureIntegratedx = figure(5);
subplot(2,ceil(length(PictureS)/2),ind);
piclegend =['picture', num2str(PictureS(ind))];
plotIntegratedx (Results1Dx,Results1Dy,expSigmax,expSigmay,mx,my,y1D,x1D,piclegend);

set(figureIntegratedx,'NumberTitle', 'off', 'Name', 'Integrated y profiles');

figure
imshow(diferencePics',jet(256),'Border','tight');
title('Residue', 'Interpreter', 'None','FontWeight', 'bold');
figure
imshow(imageScaled1',jet(256),'Border','tight');
title(['Picture ',num2str(PictureS(ind)), ' ' ,SeriesDate, '  ' , series ], 'Interpreter', 'None','FontWeight', 'bold');
figure 
imshow(imageScaled2',jet(256),'Border','tight');
titleForFigure = {titleForFigure, results,maxOD};
titleForF2igure = ['Fit Result: \n' , '\sigma' ,'x = ', num2str(resutls(2)) , '\pm' ,num2str(sigma(2))];
title(titleForF2igure);

end