function [default]=visionplotparams
default.TOFmeasurement= false;
default.datafilename='';
% default.sinfreqrange=[0.9 1.1];
default.sinpointstokill=0.1;
default.sintrials=200;
default.sinfreqrange=inf;
% default.numsinplotpoints=100;
default.savedata = false;
default.averageseries = 0;
default.xoffset=0;
default.yoffset=0;
default.xscale=1;
default.xpolyfitval=1;
default.xscaleinvert=0;
default.xoffset2D={0,0};
default.xscale2D={1,1};
default.xscaleinvert2D={0,0};
default.xscalesquare2D={0,0};
default.yscale=1;
default.xscalesquare=0;
default.yscalesquare=0;
default.datasection=6;
default.interleve=1;
default.dataparameters=1;
default.ylabel='Sx';
default.title='';
default.xlabel='';
default.legendlocation='southeast';
default.legendtext={};
default.legendfontsize=9;
default.xaxisfontsize=11;
default.yaxisfontsize=11;
default.titlefontsize=11;
default.linestyle='.';
default.linefitstyle='-';
default.plotoptions='''MarkerSize'',20';
default.deconv=0;
default.deconvparam=0;
default.removenegative=0;
default.linecolour=[];
default.xdatasection=5;
default.logyscale=0;
default.displayseriesparameters=0;
default.parameterstoprint={'RampSrPAL2DMOTsBlueMOTAOM1Intensity4=','RampSrPAL2DMOTsBlueUpwardMolassesAOMIntensity4=','OpenSrPALImaging1Shutter=','SrPALImagingAOM1FrequencyOfFlash0=','OpenSrPALImaging4Shutter=','SrPALImagingAOM4FrequencyOfFlash2='};

default.dofit=0;
default.xfitmax=inf;
default.xfitmin=-inf;
default.polyfitorder=1;

default.reevaluatedata=0;
default.cameranumber=1;
default.analysis=0;
% analysis=0 use vision data
% analysis=1 calculate atom number
% analysis=2 calculate Sx by moments
default.askforbackground=0; % 0: request if no previous data % 1: request always
default.referenceimage=1; % use 1st in series
default.displayimageloadingmessages=0;
default.selectivex=0;
default.selectivexrange=[-inf inf];
default.selectivey=0;
default.selectiveyrange=[-inf inf];

default.cameraCalibration = 0; 

default.probeparameters.cameragain = 0.541686; % Calibration 'number of photons per counts' (for 100% QE): 0.541686
default.probeparameters.cameraQE = 0.5;
default.probeparameters.lensdistance = sqrt((100*10^(-3))^2. + (240*10^(-3))^2.);
default.probeparameters.lensdiameter = 50.8 * 10^(-3);
default.probeparameters.detuning = 0*2*pi*0.*10^6;
% default.probeparameters.power = 21. * 10^(-3) * 0.964* 0.964 * (1 + 0.036+ 0.036)  ; % W
default.probeparameters.power = 2. * 10^(-3) * 0.964* 0.964 * (1 + 0.036+ 0.036)  ; % W
default.probeparameters.integrationtime = 1.; % s
default.probeparameters.fibreNA=0.12;
default.probeparameters.fibrecollimatorfocallength = 15. * 10^(-3);
default.probeparameters.velocity=3;

default.overridexaxiswithmeasurementnumber=0;

default.aviframerate=5;
default.avifignum=20;
default.aviclims=[-inf inf];
default.avireverseclims=1;
default.avinormalize=0;

default.PCAmodeNumber=1:2;
default.PCAmodesperfigure=4;
default.reloadimages=false;
default.reloadfitting=false;
default.PCAcrop=round([504   11  235  985]);

verticalOffset=83; %put to 0 for fast fit, put to 83 for powerpoint slides
verticalSizeIncrease=2*verticalOffset;
params.Plotcrop=round([504-verticalOffset   11  235+verticalSizeIncrease  985]);

default.PCAmodeNumber=1:20;
default.blursize=0;
default.doProbeIntensityCompensation=true;
default.ProbeIntensityCompensationRegion=[1 450 800 1000];
default.CrosssectionHalfWidth=20;

default.SSBECfitparam.dimpleXrange=[429 531];
default.SSBECfitparam.reservoirXrange1=[320 370];
default.SSBECfitparam.reservoirXrange2=[570 836];
default.SSBECfitparam.transportXrange1=[11 259];
default.SSBECfitparam.transportXrange2=[867 968];

default.SSBECfitparam.Xcal=4.48036*1e-3;
default.SSBECfitparam.Ycal=4.48036*1e-3;
default.SSBECfitparam.aperturex=[465 490];
default.SSBECfitparam.aperturey=[608 658];
default.SSBECfitparam.border=50;
default.SSBECfitparam.borderedge=10;
default.SSBECfitparam.plotseedingfits=0;
default.SSBECfitparam.showaperture=1;
default.SSBECfitparam.fittolerance=1e-4;
default.SSBECfitparam.showinterationplots=100;
default.SSBECfitparam.MINBECSIZE=5000;
default.SSBECfitparam.maxiterations=8000;
default.datacolormapfilename='jet';
default.fitcolormapfilename='jet';
default.thermalcolormapfilename='jet';
default.residualcolormapfilename='jet';
% default.resultsname='';
default.resultsname=datestr(now,'yyyymmddHHMMSS');

default.sinfitinitialfreq=NaN;
default.Testimate = 0;

return
