close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,'Capture M'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Delay [uS] ';
params.ylabel='Capture MOT Ni [atoms]';
dateval='200923'
seriesvals=[36]
%seriesvals=[32]
params.legendstext = {
'Scanning delay Modulation frequency 0.01   '
}

params.averagerepetions = 0 ;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;

plotvisionseriesv5(seriesvals,dateval,params);
 axis([80 219 0 inf]);