close all
% 
% % 

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
filename = saveScript(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.title=[filename,'PCA'];

params.xlabel='Runing Time [ms]';
params.ylabel='PCA Mode';

% params.title='Flux Measurement';
% params.xoffset=[0, 0, 0, -10000, -20000, -3000];
% params.yoffset=[0:3e6:2*3e6];
% params.yoffsld inteet=([0.223,0.215,0.638]-0.223)*1e6; % 0:1e5:2e5;
% % params.xoffset=0;
% % % params.xoffset=80.5;
% % % params.xoffset=80-0.25;
%  params.yscale=[1/(2.4*10^3),1/(2.4*10^3),1/(2.4*10^3),1/(2.4*10^3),1/(2.4*10^3),1/(2.4*10^3),1/(2.9*10^4)];
% params.xscale=689e-9*1e6;7
% params.legendtext={'160518S301: 83.6/83.8, 1MHZ','160519S5: 83.6/83.8, 2MHZ','160519S6: 83.6/83.8, 3MHZ','160518S22: 83.6/83.8, 2MHZ','160519S7: 83.6/83.8, 5MHZ','160518S26: 83.6/83.8, 6MHZ'};
% params.legendtext={'160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S52: ALVH 2.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S51: ALVH 2A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S50: ALVH 1.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S49: ALVH 1A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S48: ALVH 0.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S41: ALVH 0.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S40: ALVH 1A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S37: ALVH 1.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S39: ALVH 2A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S46: ALVH 2.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S47: ALVH 3A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81'};
% 
% params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.xlabel='SOLD intensity [%]';


% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% seriesvals=[21];
% 
% dateval={'190805'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=1;
params.dataparameters=1;
% params.dofit = 11;


% params.yscale=[1,3];
seriesvals=1019;
dateval='191226';
% params.yscale = [1/(2.25*10^3),1/(2.25*10^3),1/(2.25*10^3),1/(2.25*10^3),1/(2.25*10^3),1/(2.94*10^4)]
params.legendstext = {
'Run series'

% '@ Oven 560C after 6hours, srpal ZS @ 108mW + Repump + iqclock ZS @ 60mW + srqgm 37mW(correct waveplate) '

};


% params.xfitmax=[35000];
% params.xfitmin=[00];
params.dofit=4; % fit 4, exponential loading

% % decay curve
% % params.cameranumber=1;
% params.lowerbound =[10e6, 0];
% params.upperbound =[10^8, 4000];
% params.start = [1.1,120];
% % params.dataparameters=1;
% % params.logyscale =  1;
% params.dofit = 9;


%  params.analysis=18;
params.analysis =23; % PCA analysis V2
% params.reloadimages=true;
% params.reloadfitting=true;
params.reloadimages=false;
params.reloadfitting=false;

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
% params.xlabel='Wait [ms]';
params.ylabel='NI';


params.PCAcrop=round([504   11  235  985]);
params.PCAmodeNumber=1:2;
params.blursize=0;
% params.xfitmax=inf;
% params.xfitmin=2000;

params.SSBECfitparam.dimpleXrange=[429 531];
params.SSBECfitparam.reservoirXrange1=[320 370];
params.SSBECfitparam.reservoirXrange2=[570 836];
params.SSBECfitparam.transportXrange1=[11 259];
params.SSBECfitparam.transportXrange2=[867 968];

params.SSBECfitparam.Xcal=4.48036*1e-3;
params.SSBECfitparam.Ycal=4.48036*1e-3;
params.SSBECfitparam.aperturex=[465 490];
params.SSBECfitparam.aperturey=[608 658];
params.SSBECfitparam.border=50;
params.doProbeIntensityCompensation=true;
params.ProbeIntensityCompensationRegion=[1 450 800 1000];
params.CrosssectionHalfWidth=20;
params.SSBECfitparam.plotseedingfits=0;
params.SSBECfitparam.showaperture=0;
params.SSBECfitparam.fittolerance=1e-4;
params.SSBECfitparam.maxiterations=12000;
params.SSBECfitparam.showinterationplots=100;
params.SSBECfitparam.MINBECSIZE=5000;

% params.SSBECfitparam.aperturex=[440 495];
% params.SSBECfitparam.aperturey=[170 250];




plotvisionseriesv6(seriesvals,dateval,params);
% axis([0 inf 0 inf]);


% params.xfitmax=[25000];
% params.xfitmin=[100];
% params.dofit=4;
% 
% %  params.analysis=18;
% %  params.analysis =20;
% params.legendlocation='southoutside';
% % params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+11;
% % params.xlabel='Wait [ms]';
% params.ylabel='NI';
% plotvisionseriesv4(seriesvals,dateval,params);
% % axis([0 inf 0 inf]);

% %%%SY %%%
% % axis([0 10 0 inf]);
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+6;
% params.ylabel='Sy';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.2 0.4]);
% % 
% % 
% %%%Sx %%%
% % axis([0 10 0 inf]);
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+5;
% params.ylabel='Sx';
% plotvisionseriesv2(seriesvals,dateval,params);
% % axis([0 inf 0.01 0.02]);

% SeriesNumber = 9 ;
% VisionPic = [1:20];
% CameraNumber = 1;
% 
% SeriesDate = 190814
% 
% 
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% 
% % aligning figures
% gfigure col
