close all
params=visionplotparams;
params.displayimageloadingmessages=1;
params.cameranumber=1;
params.dataparameters=1;
params.xlabel='Time [ms]';
% params.title='Velocity dist2ribution based on non magnetic transition';
params.title='Trapping frequency measurement';
% params.title='Flux Measurement';
% params.xoffset=0;
% params.yoffset=[0:0.01:6*0.01];
% params.yoffset=([0,0.05,0.1]); % 0:1e5:2e5;
% params.xoffset=0;
% params.xoffset=80.5;
% params.xoffset=80-0.25;
params.yscale=1;
% params.xscale=689e-9*1e6;

params.displayseriesparameters=1;

params.legendtext={...    
%     '180408S4: DT = (-18,-31.75,-31.75)+ Transp 100%, transparency @435.74753 THz,Transp -15% delta atten, modulate 40 cycles'...
%     '180408S5: DT = (-18,-31.75,-31.75)+ Transp 100%, transparency @435.74760 THz,Transp -30% delta atten, modulate 20 cycles'...
%      '180415S13: DT = (-9,-31.75,-31.75)+ Transp 80% (Fiber output 13.5mW), transparency @435.75411 THz,  MOd Transp VERT, 10% delta atten, modulate 30 cycles'...
%      '180415S15: DT = (-9,-31.75,-31.75)+ Transp 80% (Fiber output 13.5mW), transparency @435.75437 THz,  Mod DT sheet,  1dB delta atten, modulate 50 cycles'...
%      'DT = (-12,-31.75,-31.75)+ Transp 75% '...
%      'DT = (-13,-31.75,-31.75)+ Transp 75%, mod sheet 50 cycle, depth = 2dB '...
     'DT = (-13,-31.75,-31.75)+ Transp 75%, mod sheet 50 cycle, depth = 1dB '...
     'DT = (-15,-31.75,-31.75)+ Transp 75%, mod sheet 30 cycle, depth = 1dB '...
     'DT = (-15,-31.75,-31.75)+ Transp 75%, mod sheet 60 cycle, depth = 1.5dB '...
     'DT = (-12.5,-31.75,-31.75)+ Transp 75%, mod sheet 60 cycle, depth = 1.5dB '...

     %      '180415S16: DT = (-13,-31.75,-31.75)+ Transp 80% (Fiber output 13.5mW), transparency @435.75437 THz,  Mod DT sheet,  1dB delta atten, modulate 50 cycles'...

     };

params.linestyle='.';
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';
params.plotoptions='''LineWidth'',10';

% params.probeparameters.integrationtime=[1,1,1,1,1,0.2,0.05];
% params.probeparameters.integrationtime=[1/7e-3];

% seriesvals=[4,6,8,27,28,8,18];
% seriesvals=[30, 31];
seriesvals=[31, 32, 37, 2];

% params.sinfitinitialfreq=[NaN,NaN,NaN,NaN,NaN,1/7e-3,NaN,NaN];
params.sinfitinitialfreq=[3/35e-3];

% params.linecolour={'k','r','m'};

dateval={'191120','191120','191120','191121'};



% % params.xfitmax=[inf,inf];
% % params.xfitmin=[50,50];
% 
% params.dofit=1;
% params.polyfitorder=1;
% params.dofit=3;
% params.dofit=9;
% params.legendlocation='southoutside';
% params.removenegative=0;
% params.linestyle='.';
% params.datasection=params.dataparameters+11;
% params.ylabel='Number NI';
% plotvisionseries(seriesvals,dateval,params);
% % axis([79.8 79.95 0 inf]);
% 
% 

% params.analysis=20; % write avi
% params.aviframerate=5;
% params.avifignum=20;
% params.aviclims=[-inf inf];
% params.avireverseclims=1;
% params.aviclims=[-1000 15000];
% params.reevaluatedata=1;
% params.avinormalize=1;
% 
% params.datasection=params.dataparameters+11;
% params.ylabel='Number NI';
% plotvisionseries(seriesvals,dateval,params);

% params.analysis=21; % do principal component analysis on the data
% % params.aviframerate=5;
% % params.avifignum=20;
% % params.aviclims=[-inf inf];
% % params.avireverseclims=1;
% % params.aviclims=[-1000 15000];
% params.PCAmodeNumber=1:10;
% params.reevaluatedata=1;
% params.PCAmodesperfigure=4;
% % params.avinormalize=1;

% params.datasection=params.dataparameters+11;
% params.ylabel='Number NI';
% plotvisionseries(seriesvals,dateval,params);

% params.legendlocation='southoutside';
% params.removenegative=0;
% params.linestyle='.';
% params.datasection=params.dataparameters+10;
% params.ylabel='Number NG';
% plotvisionseries(seriesvals,dateval,params);
% % axis([79.8 79.95 0 inf]);
% % 

% params.selectivex=1;
% params.selectivexrange=[-inf 3000];
% 
% params.xfitmax=1500;40
% params.xfitmin=600;
% 
% params.dofit=1;
% params.polyfitorder=1;
% 
% params.legendlocation='eastoutside';
% params.removenegative=1;
% params.linestyle='.';
% params.datasection=params.dataparameters+11;
% params.ylabel='AL MOT High N Flux';
% plotvisionseries(seriesvals,dateval,params);
% axis([0 inf 0 inf]);

% % params.dofit=3;
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.datasection=params.dataparameters+10;
% params.ylabel='Red MOT NG';
% plotvisionseries(seriesvals,dateval,params);
% % axis([-inf inf 0 inf]);

% params.legendlocation='southoutside';
% params.removenegative=1;
% params.datasection=params.dataparameters+10;
% params.ylabel='Probe fluorescence intensity NG';
% plotvisionseries(seriesvals,dateval,params);
% % axis([72 90 -inf inf]);
% 

params.dofit=1;
% params.polyfitorder=1;
params.sinpointstokill=0.1;
params.sintrials=200;
params.sinfreqrange=10;
params.dofit=14;
params.legendlocation='southoutside';
params.removenegative=0;
params.datasection=params.dataparameters+34; % X0 
params.ylabel='Red MOT X0';
plotvisionseries(seriesvals,dateval,params);
% axis([72 90 -inf inf]);


% % params.dofit=1;
% % params.polyfitorder=1;
% % params.sinpointstokill=0.1;
% % params.sintrials=200;
% % params.sinfreqrange=10;
% % params.dofit=14;
% % params.legendlocation='southoutside';
% % params.removenegative=0;
% % params.datasection=params.dataparameters+5; % S0 
% % params.ylabel='Red MOT S0';
% % plotvisionseries(seriesvals,dateval,params);
% % axis([72 90 -inf inf]);
% % 


% params.dofit=1;
% params.polyfitorder=2;
% % params.removenegative=1;
% params.legendlocation='southoutside';
% params.removenegative=0;
% params.datasection=params.dataparameters+34;
% params.ylabel='Red MOT X0';
% plotvisionseries(seriesvals,dateval,params);

% params.dofit=0;
% params.legendlocation='southoutside';
% % params.removenegative=0;
% params.datasection=params.dataparameters+5;
% params.ylabel='Red MOT Sx';
% plotvisionseries(seriesvals,dateval,params);
% axis([-inf inf 0.25 0.55]);
% 
% 
% params.legendlocation='southoutside';
% % params.removenegative=0;
% params.datasection=params.dataparameters+6;
% params.ylabel='Sy';
% plotvisionseries(seriesvals,dateval,params);
% % axis([79.7 79.9 0 inf]);

% params.dofit=1;
% % params.polyfitorder=1;
% params.dofit=12;
% params.legendlocation='southoutside';
% params.removenegative=0;
% params.datasection=params.dataparameters+35;
% params.ylabel='Red MOT Y0';
% plotvisionseries(seriesvals,dateval,params);
% % axis([-inf inf -inf inf]);

% params.analysis=2;
% params.legendlocation='southoutside';
% params.removenegative=0;
% params.datasection=params.dataparameters+5;
% params.ylabel='Probe fluorescence width Sx by moments';
% plotvisionseries(seriesvals,dateval,params);
% % axis([72 90 -inf inf]);00
% 
% params.analysis=11;
% params.legendlocation='southoutside';
% params.removenegative=0;
% params.datasection=params.dataparameters+5;
% params.ylabel='Probe fluorescence position xbar by moments';
% plotvisionseries(seriesvals,dateval,params);
% % axis([72 90 -inf inf]);
% 
% params.probeparameters.cameragain = 0.541686; % Calibration 'number of photons per counts' (for 100% QE): 0.541686
% params.probeparameters.cameraQE = 0.5;
% params.probeparameters.lensdistance = sqrt((100*10^(-3))^2. + (240*10^(-3))^2.);
% params.probeparameters.lensdiameter = 50.8 * 10^(-3);
% params.probeparameters.detuning = 0*2*pi*0.*10^6;
% % params.probeparameters.power = 21. * 10^(-3) * 0.964* 0.964 * (1 + 0.036+ 0.036)  ; % W
% params.probeparameters.power = 2. * 10^(-3) * 0.964* 0.964 * (1 + 0.036+ 0.036)  ; % W
% params.probeparameters.integrationtime = 1.; % s
% params.probeparameters.fibreNA=0.12;
% params.probeparameters.fibrecollimatorfocallength = 15. * 10^(-3);
% params.probeparameters.velocity=3;
% 
% 
% params.analysis=1;
% params.yscale=1e-6;
% params.cameranumber=2;
% plotparam.logyscale=1;
% params.displayimageloadingmessages=0;
% params.legendlocation='southoutside';
% params.removenegative=1;
% params.datasection=5+params.dataparameters;
% params.ylabel='Flux [MAt/s]';
% plotvisionseries(seriesvals,dateval,params);
% % axis([72 92 -inf inf]);
% % 
