close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,'Capture M'];


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=[32,33,34,36,38,39]
%seriesvals=[32]
params.legendstext = {
'Aom 100%'
'Aom 60%'
'Aom 40%'
'Aom 20%'
'Aom 100% degradation check'
'Aom 10% '

}
params.averagerepetions = 0;
params.otherOptions = 3

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;

FermiMOTAnalazideDatav2(seriesvals,dateval,params);

axis([ 0 0.031 0 12e7 ]);
% axis([0 0.2 0 inf]);