close all
% 
% % 

% delete(gcp)
% myCluster = parcluster('local');
% myCluster.NumWorkers = 6;  % 'Modified' property now TRUE
% saveProfile(myCluster);
% p = parpool (6)

 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[filename,FolderName] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.Datapath = FolderName;
params.FileNameData =filename;



%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=5;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Fluoresence signa [a.u]';
dateval='200917'
seriesvals=[32,33,34,36,38,39]
% seriesvals=[38 ]
params.legendstext = {
'Aom 100%'
'Aom 60%'
'Aom 40%'
'Aom 20%'
'Aom 100% degradation check'
'Aom 10% '

}
params.analysis = 18
params.isFluoresencePic = 1;
params.otherOptions = 0;
params.savedata = 1

params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;

FermiMOTAnalazideDatav2SimplifiedFluorsence(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);