close all
% 
% % 
addpath('Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Matlab\FermiMOTVisionTools');

params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.title=[params.filename,'Capture MOT NI'];

params.xlabel='Loading Time [ms]';
params.ylabel='Capture MOT NI';


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 params.xlabel='Wait time [ms]';


params.title='87Sr loading curve';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% seriesvals=[21];
% 
% dateval={'190805'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;


seriesvals=[4,9,14,16];

dateval='200911'

params.legendstext = {
'loading rate '
'loading rate '
'loading rate '
'loading rate '




}
% params.analysis = 18;
 params.dofit=2; % fit 4, exponential loading

% % decay curve
% % params.cameranumber=1;
% params.lowerbound =[10e6, 0];
% params.upperbound =[10^8, 4000];
% params.start = [1.1,120];
% % params.dataparameters=1;
% % params.logyscale =  1;
% params.dofit = 9;


%  params.analysis=18;
%  params.analysis =20;
params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
% params.xlabel='Wait [ms]';
params.ylabel='NI';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);
axis([0 inf 0 inf]);

