close all
CurrentScriptPath = mfilename('fullpath');
CurrentDirectory = CurrentScriptPath(1:end-14);
addpath([CurrentDirectory,'VisionTools'])
% 

addpath('Q:\qgases\groups\strontium\SrCAL\Data\Sr87\Matlab\FermiMOTVisionTools');

filename = saveScript(mfilename('fullpath'),mfilename())
params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[mfilename,''];


params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;

params.cameraCalibration=1.06619*10^(4)


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.xlabel='SOLD intensity [%]';
params.title=[filename,','];
params.xlabel='TOF^2';
% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
seriesvals=[5,27];
% dateval={'190730', '190802', '190802', '190802', '190803', '190803', '190805' };
dateval = '200911';

params.legendstext = {
'TOF measurement 87Sr',
'TOF measurement 88Sr',

% 'TOF DImple off',
}






params.TOFmeasurement = true;
% 
params.xscalesquare=1;
params.yscalesquare=1;



params.dofit=1;
params.polyfitorder=1;


params.xfitmax=[4000];
params.xfitmin=[100];

params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+5;
params.ylabel='Sx^2';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);






params.dofit=1;
params.polyfitorder=1;
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+6;
params.ylabel='Sy^2';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);
% axis([0 inf 0.2 0.4]);


% 
% %%% Sx^2 %%%
% % axis([0 10 0 inf]);
% params.xfitmax=[400];
% % params.xfitmin=[100];
% params.dofit=0;
% % params.polyfitorder=1;
% % params.xfitmax=[500];
% % params.xfitmin=[50];
params.dofit=1;
params.polyfitorder=1;

params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+5;
params.ylabel='Sx^2';
FermiMOTAnalazideDatav2(seriesvals,dateval,params);


% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% % aligning figures
% gfigure col
