close all
% 
% % 
params=visionplotparams;

params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[filename,FolderName] = saveScriptv2(params.RunningFolder,params.filename);
params.displayimageloadingmessages=1;
params.Datapath = FolderName;
params.FileNameData =filename;

%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel=' Modulation frequency [MHz] ';
params.ylabel='Capture MOT NI (5 sec loading)';
%%Aom 100 % seriesvals=[43,48,52]
%%Aom 60  % seriesvals=[42,49,53]
%%Aom 40  % seriesvals=[44,47,51]
%%Aom 20  % seriesvals= [ 55,56,57,59]
% AOM @ 60 % ,45,46,47,48,49,50,51,52,53,54];
seriesvals60=[42,49,53];
seriesvals100=[43,48,52];
seriesvals20=[45,46,50];
seriesvals40=[44,47,51];
seriesvals10=[55,56,54];
dateval='200910'
params.savedata = 1;


seriesvals = seriesvals20
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.otherOptions = 1;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);



seriesvals = seriesvals40
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.otherOptions = 1;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);
% axis([0 0.2 0 inf]);




seriesvals = seriesvals60
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.otherOptions = 1;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);

seriesvals = seriesvals60
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.otherOptions = 1;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);



seriesvals = seriesvals10
params.legendstext = {
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'
'Modulation frequency mode 3 AOM 60%'

}

params.otherOptions = 1;


params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
FermiMOTAnalazideDatav2Simplified(seriesvals,dateval,params);