close all
% 
% % 
 filename = saveScript(mfilename('fullpath'),mfilename())

params=visionplotparams;
params.displayimageloadingmessages=1;
params.title=[filename,' '];
% params.title='Flux Measurement';
% params.xoffset=[78.18, 80, 80];
% params.yoffset=[0:1e5:2*1e5];
% params.yoffsld =([1,2])*1e5; % 0:1e5:2e5;
% params.xoffset=0;
% % params.xoffset=80.5;
% % params.xoffset=80-0.25;
% params.yscale=[1, 100];
% params.xscale=689e-9*1e6;7
% params.legendtext={'160518S301: 83.6/83.8, 1MHZ','160519S5: 83.6/83.8, 2MHZ','160519S6: 83.6/83.8, 3MHZ','160518S22: 83.6/83.8, 2MHZ','160519S7: 83.6/83.8, 5MHZ','160518S26: 83.6/83.8, 6MHZ'};
% params.legendtext={'160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S53: ALVH 3A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S52: ALVH 2.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S51: ALVH 2A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S50: ALVH 1.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S49: ALVH 1A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S48: ALVH 0.5A Flipped ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S41: ALVH 0.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S40: ALVH 1A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S37: ALVH 1.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S39: ALVH 2A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S46: ALVH 2.5A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160522S47: ALVH 3A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81'};
% 
% params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
% params.legendtext={'160522S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S43: ALVH 0A ALZAH 3.75A, ALZH 5.0A, Z 80.4:81','160524S42: ALVH 0A ALZAH 3.75A, ALZH 5.5A, Z 80.4:81','160524S44: ALVH 0A ALZAH 3.75A, ALZH 6.0A, Z 80.4:81','160524S45: ALVH 0A ALZAH 3.75A, ALZH 6.5A, Z 80.4:81','160524S46: ALVH 0A ALZAH 3.75A, ALZH 6.3A, Z 80.4:81','160525S17: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0A, Z 80.4:81','160525S18: ALVH 0A ALZAH 3.75A, ALZH 5.5A, RTHH: 0.2A, Z 80.4:81'};
params.linestyle='.';
params.plotoptions='''LineWidth'',10';
% params.linecolour={'k','r','m'};
% params.plotoptions='''MarkerSize'',20,''LineWidth'',5';
% params.linestyle='-';25




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.xlabel='SOLD intensity [%]';


% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% seriesvals=[21];
% 
% dateval={'190805'};
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=1;
params.dataparameters=1;
% params.dofit = 11;
params.xlabel='ZS Power [%]';

seriesvals=[32,33,34,35];
dateval='191214';
params.legendstext = {
'Dimple 3ms TOF',
'Dimple 15ms TOF',
'Dimple Center 15ms TOF',
'Reservoir 15ms TOF'

% % seriesvals=[ 8, 4, 13, 12,17, 14];
% seriesvals=[18,22,19,25,20,21,23,24];
% 
% % seriesvals=[ 6, 7,8];
% 
% % dateval={'190730', '190802', '190802', '190802', '190803', '190803', '190805' };
% % dateval={'191119','191119','191104','191119','191120'}
% dateval='191214';
% 
% params.legendstext = {
%     'SOLD 0%',
%     'SOLD 0% + Transp 100%',
%     'SOLD 30%',
%     'SOLD 30% + Transp 100%',
%     'SOLD 70%',
%     'SOLD 70% + Transp 100%',
%     'SOLD 70% + Transp 100%',
%     'ZS 8% SOLD 70% + Transp 100%'
    
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 80mV), 50mV sensitivity lockin'
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 80mV), 50mV sensitivity lockin'
% 
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 30mV), 50mV sensitivity lockin'
% % 'Red Imaging mj=0 line (after improving Red lock, error signal = 25mV), 50mV sensitivity lockin'
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 20mV), 50mV sensitivity lockin'
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 15mV), 50mV sensitivity lockin'
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 11mV), 50mV sensitivity lockin'
% 'Red Imaging mj=0 line (after improving Red lock, error signal = 15mV), 100mV sensitivity lockin'
% 

}
%%%%%%%%%%
% Exponential loading curve fit
%%%%%%%%%%
% params.xfitmax=[50000];
% params.xfitmin=[100];
% params.dofit=2; % Expontntial loading
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%
%Gaussian fit
%%%%%%%%%
% params.dofit=7; % Gaussian
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




params.legendlocation='southoutside';
% params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
params.ylabel='NI';
plotvisionseriesv2(seriesvals,dateval,params);
% axis([0 inf 0 inf]);

% % 
% 
% 
% 
%%%SY %%%
% axis([0 10 0 inf]);
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+6;
params.ylabel='Sy';
plotvisionseriesv2(seriesvals,dateval,params);
% axis([0 inf 0.2 0.4]);
% 
% 

%%%Sx %%%
% axis([0 10 0 inf]);
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+5;
params.ylabel='Sx';
plotvisionseriesv2(seriesvals,dateval,params);
% axis([0 inf 0.01 0.02]);

% SeriesNumber = 9 ;
% VisionPic = [1:20];
% CameraNumber = 1;
% 
% SeriesDate = 190814
% 
% 
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% 
% % aligning figures
% gfigure col
