close all

%%%%%%%%%%%%%%%
% Inizialization
%%%%%%%%%%%%%%%
params=visionplotparams;
params.RunningFolder = mfilename('fullpath'); 
params.filename = mfilename();
[params.filename,params.filepath] = saveScriptv2(params.RunningFolder,params.filename);
params.savedata = true;
params.displayimageloadingmessages=1;
params.displayseriesparameters=1;


%%%%%%%%%%%%%%%
% Plot style
%%%%%%%%%%%%%%%
params.linestyle='.';
params.plotoptions='''LineWidth'',10';




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Camera # / scanned variables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.cameranumber=3;
params.dataparameters=1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Axises labeling ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
params.xlabel='SOLD intensity [%]';


% params.title='Velocity distribution based on non magnetic transition';


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Data informations ;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% params.yscale=[1,3];
seriesvals=[30, 2, 3];
dateval={'191226','191227','191227'} ;
params.legendstext = {
'One series'
'two series '
'three series'

}

%%%%%%%%%%%%%%%
% Save data
%%%%%%%%%%%%%%%
params.savedata = true;

%%%%%%%%%%%%%%%
% Fitting options
%%%%%%%%%%%%%%%
params.xfitmax=[10000];
params.xfitmin=[0];
params.dofit=1;

%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%

params.title=[params.filename,' '];
params.xlabel='My x label'
params.ylabel='My y label';


% PLOT ATOM NUMBER %
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+11;
plotvisionseriesv5(seriesvals,dateval,params);
% axis([79.82 80.1 0 1e5]);

%%%%%%%%%%%%%%%
% Axes labels
%%%%%%%%%%%%%%%

% params.title=[params.filename,'SOME TITTLE'];
% params.xlabel='My x label'
% params.ylabel='My y label for var 2';


% PLOT TEMPERATURE %
params.legendlocation='southoutside';
params.removenegative=1;
params.linestyle='.';
params.datasection=params.dataparameters+5;
params.ylabel='Sx^2';
plotvisionseriesv2(seriesvals,dateval,params);


% LOAD PICTURE FROM SERIES %
% LoadShot(SeriesDate,SeriesNumber,VisionPic,CameraNumber,true )


% 
% 
% % aligning figures
% gfigure col
