function y = MaxBolt (params,p)
    GammaRed =2*pi*7.5*10^3;        
    hbar = 1.0545718*10^-34; %Joules*Second;
    Kb =1.38064852*10^-23;
    T  =   params.Temperature/(  hbar*GammaRed/Kb);
    cte =1 /(2*pi*params.Kb*T*params.m)^0.5;
    y = cte*exp(-p.^2/(2*params.m*params.Kb*T));
    
end