path2save1 = 'C:\Users\Rodrigo Gonzalez\Documents\MATLAB\Data\Runme15HighV.mat';
data1 = load(path2save1)
path2save2 = 'C:\Users\Rodrigo Gonzalez\Documents\MATLAB\Data\Runme15LowV.mat';
data2 = load(path2save2);
path2save3 = 'C:\Users\Rodrigo Gonzalez\Documents\MATLAB\Data\Runme24OutputLovV.mat'
data3 = load(path2save3)
path2save4 = 'C:\Users\Rodrigo Gonzalez\Documents\MATLAB\Data\Runme24OutputHighV.mat'
data4 = load(path2save4)

C = {'k','b','r','g',[.5 .6 .7],[.8 .2 .6]} % Cell array of colros.
targetSave = 'Q:\qgases\groups\strontium\SrCAL\Papers\Fermionic MOT\Figures - Python scripts\Fig5 - SwapMolasses_Power_vs_frequency\Thoery'
figure
hold on
index = 2;
for i = 1:size(data1.y2,2)
    if (data1.Omegatab(i) == data1.Omegatab(index))
        y = data1.y2(:,i);
        
        save([targetSave,'y1.mat'],'y')
        plot(data1.x,y,'color',C{i})
    end
end

for i = 1:size(data2.y2,2)    
    if (data2.Omegatab(i) == data1.Omegatab(index))
        y = data2.y2(:,i);
            
        save([targetSave,'y2.mat'],'y')
        plot(data2.x,y,'color',C{i+1})
    end
end

for i = 1:size(data3.y2,2)    
    if (data3.Omegatab(i) == data1.Omegatab(index))
        y = data3.y2(:,i);
            
        save([targetSave,'y3.mat'],'y')
        plot(data3.x,y,'color',C{i+2})
    end
end

for i = 1:size(data4.y2,2)  
    if (data4.Omegatab(i) == data1.Omegatab(index))
        y = data4.y2(:,i);
        x = data4.x;
        save([targetSave,'y4.mat'],'y')
        save([targetSave,'x.mat'],'x')
        plot(x,y,'color',C{i+3})
    end
end

legend ('Runme15HighV','Runme15LowV','Runme24LowV','Runme24HighV')
% legend ('Runme15HighV','Runme24LowV','Runme24HighV')
title (num2str(data1.Omegatab(index)/2/pi/1000))