targetFOlder = 'Q:\qgases\groups\strontium\SrCAL\Papers\Fermionic MOT\Figures - Python scripts\Fig5 - SwapMolasses_Power_vs_frequency\DataTheory'
path2save = 'C:\Users\Rodrigo Gonzalez\Documents\MATLAB\Data\runme36\Transfer.mat'
close all

load(path2save)
% % % % 
p=0:2:70+3;  
p = sort(p,'descend')
freq = linspace(0.001,0.025,11)*10^6;
% freq = freq(2:2:end);

% Omegatab = [145,66.4]*2*pi*10^3;
% Omegatab = [145,66.4,93,135,121,93,89,79,61,43]*2*pi*10^3;

Omegatab = [92,82,63,44]*2*pi*10^3;
paramsModulationfrequencyScan = getDimensionlessUnits(paramclass);
param  = paramclass
pcut =  param.m*0.07/param.hbar/param.k/sqrt(2);
pLovV = param.m*0.2/param.hbar/param.k;

param = param.getDimensionlessUnits
param.Temperature = 10^-3;
f = @(p)MaxBolt (param,p);
for k = 1:size(Omegatab,2)
    for i = 1:size(freq,2)
        yval = transfered(:,k,i) ;
        
        xval = p - 2 ;
        yval = yval (xval>0)  ;      
        xval = xval (xval>0);
        xval = [xval,-xval];
        yval = [yval',-yval'];
        xval(end+1) = 0;
        yval(end +1) = 0;

        Force = @(p)interp1(xval,yval,p);   

        

        fxmB = @(p) (f(p).*abs(Force(p)));
        
        y2(i,k) = integral(fxmB,pLovV,max(xval))/integral(f,pLovV,max(xval));
        y3(i,k) = integral(fxmB,0,pLovV)/integral(f,0,pLovV) ;

        
% %          figure
% %         hold on             
% %         [xsorted,b] = sort(xval);
% %         ysorted = yval(b);
% %         scatter(xsorted,ysorted)
% %         scatter(xsorted,Force(xsorted))
% %         title ( ['Omega =  ',num2str(Omegatab(k)/2/pi/1000 ,'%.2f') , 'KHz ','Mod Freq =  ',num2str(freq(i)/1000 ,'%.2f') , 'KHz'] ) 
% %         xlabel( 'p [hbar k]')
% %         ylabel('\Delta p [hbar k]')
% %         hold off
    end

    figure (1)
    hold on
    x = freq;
    y = y2(:,k)';
    x  (end +1) = 0;
    y(end +1) =  0; 
    scatter(x,y)
    title('1D thermal average')
    save([targetFOlder,'\',num2str(Omegatab(k)/2/pi/100),'NoOpticalPumping','ForceHighV.mat'],'y','x')
    
    figure (2)
    hold on
    x = freq;
    y = y3(:,k)';
    x  (end +1) = 0;
    y(end +1) =  0;   
    scatter(x,y)
    title('1D thermal average')
    
    save([targetFOlder,'\',num2str(Omegatab(k)/2/pi/100),'NoOpticalPumping','ForcelowV.mat'],'y','x')
end
% legend( legegendCell)
hold off
% % % 
figure (3)
hold on
for k = 1:size(Omegatab,2)
    for i = 1:size(freq,2)

        yval = transfered(:,k,i) ;
        xval = p - 2 ;
        yval = yval (xval>0)  ;      
        xval = xval (xval>0);
        xval = [xval,-xval];
        yval = [yval',-yval'];
        
        xval(end+1) = 0;
        yval(end +1) = 0;
        
        xval (end +1) =1e20;
        yval(end +1) = 0;
        
        xval (end +1) =-1e20;
        yval(end +1) = 0;
        
        param  = paramclass
        pc =  param.m*0.07/param.hbar/param.k/sqrt(2)
        param = param.getDimensionlessUnits       
        param.Temperature = 10^-3
        
        f = @(p)MaxBolt (param,p);
        Force = @(p)-interp1(xval,yval,p) ;       
        
        p0 = (1:0.01:70);
        MaxwellBolt = f(p0);
        MaxwellBolt = MaxwellBolt/sum(MaxwellBolt);
        sol = ode45(@(t,p)Force(p),[0,10e-3],p0);
        
        y = sol.y(:,end);
        y =  (y<pc);
        TrappedTrayectories(i,k) = sum(y'.*MaxwellBolt);
%         

    end
    x = freq;
    y = TrappedTrayectories(:,k)';
    x  (end +1) = 0
    y(end +1) =  integral(f,-pc,pc);   
    save([targetFOlder,'\',num2str(Omegatab(k)/2/pi/100),'NoOpticalPumping','Transfered.mat'],'y','x')
    scatter(x,y)
    title('1D thermal average')
    
end
hold off
